<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use App\Models\User;

class Role extends Model
{
    use HasFactory;

    //  Table
    protected $table = 'roles';

    // Primary ID
    // protected $primaryKey = '';


    public function permisos() {
      return $this->belongToMany(Permiso::class, 'role_permisos', 'role_id', 'permiso_id');
      // return $this->hasOne('App\Models\ClienteConfig', 'COD', 'CODCLI');
    }


    /*
        ********************
          SCOPES
        ********************
    */

    public function scopeShowable($query) {
      return $query->whereNotIn('id', [1, 999]);
    }

}
