<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use App\Models\User;

class TipoSub extends Model
{
    use HasFactory;

    //  Table
    protected $table = 'tipos_sub';

    // Primary ID
    // protected $primaryKey = '';


    // public function config() {
    //   return $this->hasOne('App\Models\ConfigInstalacion', 'IDCLI', 'IDCLI');
    //   // return $this->hasOne('App\Models\ClienteConfig', 'COD', 'CODCLI');
    // }

    public function get_estado() {
      $estado = (object)[];

      if($this->activo) :
        $estado->color = 'rgb(174, 209, 158)';
        $estado->nombre = 'activo';
      else :
        $estado->color = 'rgb(209, 159, 158)';
        $estado->nombre = 'inactivo';
      endif;

      return $estado;
    }

    public function change_estado() {
      if($this->activo) :
        $this->activo = 0;
      else :
        $this->activo = 1;
      endif;

      // return $this->get_estado();
    }


    /*
        ********************
          SCOPES
        ********************
    */

    public function scopeByIns($query, $ins_id) {
      return $query->where('id_ins', '=', $ins_id);
    }

}
