<?php

namespace App\View\Components;

class Checkbox extends Input
{
    /**
     * Create a new component instance.
     *
     * @return void
     */
    
    public $checked;


    public function __construct($type = '', $id = '', $name = '', $class = '', $value = '', $placeholder = '', $raw = '', $checked = false)
    {
        //
        parent::__construct($type, $id, $name, $class, $value, $placeholder, $raw);
        $this->checked = $checked;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('admin.components-views.form.inputs.checkbox');
    }
}