<?php

namespace App\View\Components;

use Illuminate\View\Component;

class Select extends Component
{
    /**
     * Create a new component instance.
     *
     * @return void
     */

    public $options;
    public $id;
    public $name;
    public $class;
    public $selectedvalue;
    public $empty;

    public function __construct($options, $id, $name, $class, $selectedvalue, $empty)
    {
        //
        $this->options = $options;
        $this->id = $id;
        $this->name = $name;
        $this->class = $class;
        $this->selectedvalue = $selectedvalue;
        $this->empty = $empty;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('admin.components-views.form.selects.select');
    }
}
