


//  ****************************************************************
// INSTALACION
//  ***************************

function checkDiaFechaAdd(e, tipo) {
  var dia         = $('input#pre_fecha');
  var dia_semana  = $('select#pre_dia_semana');

  if(tipo == 'fecha') {
    dia_semana.val(0);
    $(dia_semana[0][0]).attr('selected', 'selected');
  }
  if(tipo == 'dia_sem') {
    dia.attr('value', '');
    dia.val('');
  }
}

function checkDiaFecha(e, tipo) {
  var dia         = $(e).closest('tr').children('[data-label=fecha]').children('input.pre_dia');
  var dia_semana  = $(e).closest('tr').children('[data-label=diasemana]').children('select.pre_dia_semana');

  if(tipo == 'fecha') {
    dia_semana.val(0);
    $(dia_semana[0][0]).attr('selected', 'selected');
  }
  if(tipo == 'dia_sem') {
    dia.attr('value', '');
    dia.val('');
  }
}
//
// // Subir archivos
//
// async function subir_archivo(file_sel, url, id) {
//   let file = document.getElementById(file_sel).files[0];
//   let data = new FormData();
//
//   data.append('archivo', file, file.name);
//   data.append('url', url);
//   data.append('id_obj', id);
//
//   let settings = {
//     headers: { 'content-type': 'multipart/form-data' }
//   };
//
//   await axios.post('/admin/api/upload', data, settings)
//    .then(response => {
//
//      $('div.prev-image').html('<img class="" src="/storage/imagenes/instalaciones/'+response.data.filename+'" style="width:100%"/>');
//   }).catch(response => {
//     // console.log(response);
//     // return false;
//   });
// }
//
// async function subir_archivo_normativa(file_sel, url, id) {
//   let file = document.getElementById(file_sel).files[0];
//   let data = new FormData();
//
//   data.append('archivo', file, file.name);
//   data.append('url', url);
//   data.append('id_obj', id);
//
//   let settings = {
//     headers: { 'content-type': 'multipart/form-data' }
//   };
//
//   await axios.post('/admin/api/uploadNormativa', data, settings)
//    .then(response => {
//     console.log(response);
//     // return true;
//    }).catch(response => {
//     console.log(response);
//     // return false;
//   });
// }

// CREAR
function crearDivisionDef(id_ins) {

  let inicio  = $('input#def_inicio').val();
  let final   = $('input#def_final').val();
  let nombre   = $('input#def_nombre').val();
  let plazas   = $('input#def_plazas').val();
  let tipo_id   = $('select#tipos_creation').val();

  if(nombre == '') {
    toastr.error('Rellene el nombre', 'Debe rellenar el nombre de la división.');
    $('input#def_nombre').focus();
    return false;
  }

  alertify.confirm(
    // TITULO
    'Insertar división',
    // MENSAJE
    `¿Seguro que desea crear la división con: <br>
    nombre : `+nombre+`<br>
    inicio : `+inicio+`<br>
    final : `+final+`<br>
    plazas : `+plazas+`<br>
    ?`,
    // TRAS OK
    async function(){


      await axios.post('/admin/api/addDivDef', {
          // Variables a pasar aqui jQuery -> Controller
          'inicio' : inicio,
          'final' : final,
          'nombre' : nombre,
          'plazas' : plazas,
          'tipo_id' : tipo_id,
          'id_ins' : id_ins
          })
          .then((response) => {
                  // console.log(response);
                  // Tratamos la respuesta recogida desde el controlador


                   // Mostramos el mensaje de confirmación de que todo fue bien
                  alertify.success('Se guardo correctamente.');
                  $('input#def_inicio').val('');
                  $('input#def_plazas').val(1);
                  location.reload();
              },
              (error) => {
                  console.log(error);
              }
      );
    },
   // TRAS CANCEL
  function(){
    alertify.error('No se guardo.');
  }).show(true, 'confirmation');

}

function crearDivisionPre(id_ins) {

  let inicio  = $('input#pre_inicio').val();
  let final   = $('input#pre_final').val();
  let nombre   = $('input#pre_nombre').val();
  let plazas   = $('input#pre_plazas').val();
  let tipo_id   = $('select#tipos_creation_pre').val();
  let dia         = $('input#pre_fecha').val();
  let dia_semana  = $('select#pre_dia_semana option:selected').val();


  if(nombre == '') {
    toastr.error('Rellene el nombre', 'Debe rellenar el nombre de la división.');
    $('input#pre_nombre').focus();
    return false;
  }

  alertify.confirm(
    // TITULO
    'Insertar división',
    // MENSAJE
    `¿Seguro que desea crear la división con: <br>
    nombre : `+nombre+`<br>
    inicio : `+inicio+`<br>
    final : `+final+`<br>
    plazas : `+plazas+`<br>
    ?`,
    // TRAS OK
    async function(){


      await axios.post('/admin/api/addDivPre', {
          // Variables a pasar aqui jQuery -> Controller
          'inicio' : inicio,
          'final' : final,
          'nombre' : nombre,
          'plazas' : plazas,
          'tipo_id' : tipo_id,
          'id_ins' : id_ins,
          'dia' : dia,
          'dia_semana' : dia_semana
          })
          .then((response) => {
                  // console.log(response);
                  // Tratamos la respuesta recogida desde el controlador


                   // Mostramos el mensaje de confirmación de que todo fue bien
                  alertify.success('Se guardo correctamente.');
                  $('input#def_inicio').val('');
                  $('input#def_plazas').val(1);
                  location.reload();
              },
              (error) => {
                  console.log(error);
              }
      );
    },
   // TRAS CANCEL
  function(){
    alertify.error('No se guardo.');
  }).show(true, 'confirmation');

}

// GUARDAR
async function guardarInstalacion(id) {

    await axios.post('/admin/api/saveIns',
        {
          'id' : id,
          'inicio'  : $('input#ins_inicio').val(),
          'final'  : $('input#ins_cierre').val(),
          'nombre'   : $('input#ins_nombre').val(),
          'categoria'   : $('select#categorias').val(),
          'plazas'  : $('input#ins_plazas').val(),
          'desc'   : $('textarea#desc').html(),
          'desc_corta'   : $('input#desc_corta').val(),
          'activo' : $('input[name=activo]:checked').val() != undefined,
          'reservable'  : $('input[name=reservable]:checked').val() != undefined,
          'multiples'  : $('input[name=multiples]:checked').val() != undefined,
          'divisible'  : $('input[name=divisible]:checked').val() != undefined,
          'nombre_sub'   : $('input#nombre_sub').val(),
          'lim_persona'   : $('input#ins_lim_persona').val(),
          'lim_dia'   : $('input#ins_lim_dia').val(),
          'horas_apertura'   : $('input#ins_horas_apertura').val(),
          'minutos_previos'   : $('input#ins_minutos_previo').val(),
          'mens_bien'   : $('input#ins_mensaje_bien').val(),
          'mens_reserva'   : $('input#ins_mensaje_reserva').val(),
          'nombre_contacto'   : $('input#ins_per_contacto').val(),
          'tel_contacto'   : $('input#ins_tel_contacto').val(),
          'link_entrada'   : $('input#ins_link_entrada').val(),
        })
        .then((response) => {
                // console.log(response);
                // Tratamos la respuesta recogida desde el controlador
                if(response.data.success) {
                  if($('input#ins_imagen').val() != '') {
                    subir_archivo('ins_imagen', 'ins', id);
                  }
                  if($('input#ins_normativa').val() != '') {
                    subir_archivo_normativa('ins_normativa', 'ins', id);
                    let file = document.getElementById('ins_normativa').files[0].name;
                    $('#normativa-file').html(file);
                  }
                }

                 // Mostramos el mensaje de confirmación de que todo fue bien
                alertify.success('Se guardo correctamente.');
            },
            (error) => {
                console.log(error);
            }
    );

}

async function guardarInstalacionNueva() {

    await axios.post('/admin/api/saveIns',
        {
          'inicio'  : $('input#ins_inicio').val(),
          'final'  : $('input#ins_cierre').val(),
          'nombre'   : $('input#ins_nombre').val(),
          'categoria'   : $('select#categorias').val(),
          'plazas'  : $('input#ins_plazas').val(),
          'desc'   : $('textarea#desc').html(),
          'desc_corta'   : $('input#desc_corta').val(),
          'activo' : $('input[name=activo]:checked').val() != undefined,
          'reservable'  : $('input[name=reservable]:checked').val() != undefined,
          'multiples'  : $('input[name=multiples]:checked').val() != undefined,
          'divisible'  : $('input[name=divisible]:checked').val() != undefined,
          'nombre_sub'   : $('input#nombre_sub').val(),
          'lim_persona'   : $('input#ins_lim_persona').val(),
          'lim_dia'   : $('input#ins_lim_dia').val(),
          'horas_apertura'   : $('input#ins_horas_apertura').val(),
          'minutos_previos'   : $('input#ins_minutos_previo').val(),
          'mens_bien'   : $('input#ins_mensaje_bien').val(),
          'mens_reserva'   : $('input#ins_mensaje_reserva').val(),
          'nombre_contacto'   : $('input#ins_per_contacto').val(),
          'tel_contacto'   : $('input#ins_tel_contacto').val(),
          'link_entrada'   : $('input#ins_link_entrada').val(),
        })
        .then((response) => {
                // console.log(response);
                // Tratamos la respuesta recogida desde el controlador
                if(response.data.success) {
                  if($('input#ins_imagen').val() != '') {
                    subir_archivo('ins_imagen', 'ins', response.data.id);
                  }
                  if($('input#ins_normativa').val() != '') {
                    subir_archivo_normativa('ins_normativa', 'ins', response.data.id);
                    let file = document.getElementById('ins_normativa').files[0].name;
                    $('#normativa-file').html(file);
                  }
                }

                 // Mostramos el mensaje de confirmación de que todo fue bien
                alertify.success('Se guardo correctamente.');
            },
            (error) => {
                console.log(error);
            }
    );

}

function guardarDivisionDef(id, e) {

  $(e).closest('tr').addClass('destacado-edit');
  // console.log($(e).closest('tr').children('[data-label=inicio]').children('input.def_inicio').val());

  let inicio  = $(e).closest('tr').children('[data-label=inicio]').children('input.def_inicio').val();
  let final   = $(e).closest('tr').children('[data-label=final]').children('input.def_final').val();
  let nombre   = $(e).closest('tr').children('[data-label=nombre]').children('input.def_nombre').val();
  let plazas   = $(e).closest('tr').children('[data-label=plazas]').children('input.def_plazas').val();
  let tipo_id   = $(e).closest('tr').children('[data-label=tipo]').children('select#tipos-edit').val();

  alertify.confirm(
    // TITULO
    'Guardar cambios en división con id: '+id,
    // MENSAJE
    '¿Seguro que desea guardar los cambios esta división con nombre : '+nombre+'?',
    // TRAS OK
    async function(){


      await axios.post('/admin/api/saveDivDef', {
          // Variables a pasar aqui jQuery -> Controller
          'id' : id,
          'inicio' : inicio,
          'final' : final,
          'nombre' : nombre,
          'plazas' : plazas,
          'tipo_id' : tipo_id,
          })
          .then((response) => {
                  // console.log(response);
                  // Tratamos la respuesta recogida desde el controlador


                   // Mostramos el mensaje de confirmación de que todo fue bien
                  alertify.success('Se guardo correctamente.');
              },
              (error) => {
                  console.log(error);
              }
      );
    },
   // TRAS CANCEL
  function(){
    alertify.error('No se guardo.');
  }).show(true, 'confirmation');

  // $(e).closest('tr').removeClass('destacado-edit');
}

function guardarDivisionPre(id, e) {

  $(e).closest('tr').addClass('destacado-edit');
  // console.log($(e).closest('tr').children('[data-label=inicio]').children('input.def_inicio').val());

  let inicio      = $(e).closest('tr').children('[data-label=inicio]').children('input.pre_inicio').val();
  let final       = $(e).closest('tr').children('[data-label=final]').children('input.pre_final').val();
  let nombre      = $(e).closest('tr').children('[data-label=nombre]').children('input.pre_nombre').val();
  let plazas      = $(e).closest('tr').children('[data-label=plazas]').children('input.pre_plazas').val();
  let tipo_id     = $(e).closest('tr').children('[data-label=tipo]').children('select#tipos-edit').val();
  let dia         = $(e).closest('tr').children('[data-label=fecha]').children('input.pre_dia').val();
  let dia_semana  = $(e).closest('tr').children('[data-label=diasemana]').children('select.pre_dia_semana').val();

  console.log(dia_semana);
  alertify.confirm(
    // TITULO
    'Guardar cambios en división con id: '+id,
    // MENSAJE
    '¿Seguro que desea guardar los cambios esta división con nombre : '+nombre+'?',
    // TRAS OK
    async function(){


      await axios.post('/admin/api/saveDivPre', {
          // Variables a pasar aqui jQuery -> Controller
          'id' : id,
          'inicio' : inicio,
          'final' : final,
          'nombre' : nombre,
          'plazas' : plazas,
          'tipo_id' : tipo_id,
          'dia' : dia,
          'dia_semana' : dia_semana
          })
          .then((response) => {
                  // console.log(response);
                  // Tratamos la respuesta recogida desde el controlador


                   // Mostramos el mensaje de confirmación de que todo fue bien
                  alertify.success('Se guardo correctamente.');
              },
              (error) => {
                  console.log(error);
              }
      );
    },
   // TRAS CANCEL
  function(){
    alertify.error('No se guardo.');
  }).show(true, 'confirmation');

  // $(e).closest('tr').removeClass('destacado-edit');
}


// Activar-desactivar

async function cambiarEstadoDivision(id, tipo, e) {

       await axios.post('/admin/api/estadoDiv', {
           // Variables a pasar aqui jQuery -> Controller
           'id' : id,
           'tipo' : tipo
           })
           .then((response) => {
                   // console.log(response);
                   // Tratamos la respuesta recogida desde el controlador



                    // Mostramos el mensaje de confirmación de que todo fue bien
                   alertify.success('Se cambio el estado correctamente.');
                   window.location.reload();

               },
               (error) => {
                   console.log(error);
               }
       );
}

// ELIMINAR

function eliminarDivisionDef(id, e) {

  let name=$(e).attr('data-name');

  alertify.confirm(
    // TITULO
    'Eliminar  division con id: '+id,
    // MENSAJE
    '¿Seguro que desea eliminar esta división con nombre : '+name+'?',
    // TRAS OK
  async function(){

       await axios.post('/admin/api/deleteDivDef', {
           // Variables a pasar aqui jQuery -> Controller
           'id' : id,
           })
           .then((response) => {
                   // console.log(response);
                   // Tratamos la respuesta recogida desde el controlador



                    // Mostramos el mensaje de confirmación de que todo fue bien
                   alertify.success('Se eliminó '+name+' correctamente.');
                   $(e).closest('tr').remove();

               },
               (error) => {
                   console.log(error);
               }
       );
   },
   // TRAS CANCEL
  function(){
    alertify.error('No se eliminó nada.');
  }).show(true, 'confirmation');

}

function eliminarDivisionPre(id, e) {

  let name=$(e).attr('data-name');

  alertify.confirm(
    // TITULO
    'Eliminar  division con id: '+id,
    // MENSAJE
    '¿Seguro que desea eliminar esta división con nombre : '+name+'?',
    // TRAS OK
  async function(){

       await axios.post('/admin/api/deleteDivPre', {
           // Variables a pasar aqui jQuery -> Controller
           'id' : id,
           })
           .then((response) => {
                   // console.log(response);
                   // Tratamos la respuesta recogida desde el controlador



                    // Mostramos el mensaje de confirmación de que todo fue bien
                   alertify.success('Se eliminó '+name+' correctamente.');
                   $(e).closest('tr').remove();

               },
               (error) => {
                   console.log(error);
               }
       );
   },
   // TRAS CANCEL
  function(){
    alertify.error('No se eliminó nada.');
  }).show(true, 'confirmation');

}

// Tipo Sub
// CREAR
function crearTipoSub(id_ins) {


  let nombre   = $('input#tipo_div_nombre').val();
  let descripcion   = $('input#tipo_div_desc').val();


  if(nombre == '') {
    toastr.error('Rellene el nombre', 'Debe rellenar el nombre del tipo.');
    $('input#tipo_div_nombre').focus();
    return false;
  }

  alertify.confirm(
    // TITULO
    'Insertar división',
    // MENSAJE
    `¿Seguro que desea crear el tipo de división con: <br>
    nombre : `+nombre+`<br>
    descripcion : `+descripcion+`<br>
    ?`,
    // TRAS OK
    async function(){


      await axios.post('/admin/api/addTipoSub', {
          // Variables a pasar aqui jQuery -> Controller
          'nombre' : nombre,
          'descripcion' : descripcion,
          'id_ins' : id_ins,
          'activo'  : $('input[name=tipo_sub_activo]:checked').val() != undefined
          })
          .then((response) => {
                  // console.log(response);
                  // Tratamos la respuesta recogida desde el controlador


                   // Mostramos el mensaje de confirmación de que todo fue bien
                  alertify.success('Se guardo correctamente.');
                  location.reload();
              },
              (error) => {
                  console.log(error);
              }
      );
    },
   // TRAS CANCEL
  function(){
    alertify.error('No se guardo.');
  }).show(true, 'confirmation');

}

function eliminarTipoSub(id, e) {

  let name=$(e).attr('data-name');

  alertify.confirm(
    // TITULO
    'Eliminar el tipo con id: '+id,
    // MENSAJE
    '¿Seguro que desea eliminar esta división con nombre : '+name+'?',
    // TRAS OK
  async function(){

       await axios.post('/admin/api/deleteTipoSub', {
           // Variables a pasar aqui jQuery -> Controller
           'id' : id,
           })
           .then((response) => {
                   // console.log(response);
                   // Tratamos la respuesta recogida desde el controlador



                    // Mostramos el mensaje de confirmación de que todo fue bien
                   alertify.success('Se eliminó '+name+' correctamente.');
                   $(e).closest('tr').remove();

               },
               (error) => {
                   console.log(error);
               }
       );
   },
   // TRAS CANCEL
  function(){
    alertify.error('No se eliminó nada.');
  }).show(true, 'confirmation');

}
