// myAlert dialog
alertify.myAlert || alertify.dialog('myAlert', function factory() {
return {
  main: function(content, title) {
    this.setContent(content);
    this.setHeader(title);
  },
  setup: function() {
    return {
      options: {
        modal: true,
        basic: true,
        maximizable: false,
        resizable: true,
        padding: false,
        maintainFocus : false,
        transition: 'fade',
        autoReset: false,
      }
    };
  }
};
});

// myAlert2 dialog
alertify.myAlert2 || alertify.dialog('myAlert2', function factory() {
return {
  main: function(content, title) {
    this.setContent(content);
    this.setHeader(title);

  },
  setup: function() {
    return {
      options: {
        modal: true,
        basic: true,
        maximizable: false,
        resizable: false,
        padding: false,
        maintainFocus : false,
        transition: 'fade',
        autoReset: false,
      }
    };
  }
};
});

// myAlert dialog
alertify.myAlertNC || alertify.dialog('myAlertNC', function factory() {

return {
  main: function(content, title) {
    this.setContent(content);
    this.setHeader(title);

    this.set({
      onshow:function() {
        $('#pass').on('input', function() {
          validatePassInputs('pass');
        });
        $('#pass_confirmation').on('input', function() {
          validatePassInputs('pass');
        });
      }
    });
  },
  setup: function() {
    return {
      options: {
        modal: true,
        basic: true,
        maximizable: true,
        resizable: true,
        closable:false,
        padding: false,
        maintainFocus : false,
        transition: 'fade',
        autoReset: false,
      }
    };
  }
};
});


//custom wrapper to load external contents
alertify.ajaxAlertMyHome = async function(action, var1, var2) {

  // ****************************************
    // DIRECCIONES
  // ****************************************
    if(action == 'reserva_turno') {
      await axios.post('/modals/getReservaTurno', {
          // Variables a pasar aqui jQuery -> Controller
          'id' : var1,
          'tipo' : var2
          })
          .then((response) => {
                  // console.log(response);
                  // Tratamos la respuesta recogida desde el controlador
                  // EJ :
                  ownTitle = "<span class='title-alertify-modal'>Reserva en proceso</span>";
                  // console.log(response.data);
                  // Ejecutamos la acciones necesarias
                  //  EJ :
                    alertify.myAlert(response.data, ownTitle).resizeTo('80%', '80%');
                    // Mostramos la primera tab-step
                    currentTab = 0;
                    showTab(currentTab);

                    // Agregamos funcionalidad a los checkboxes y radios.
                    $('input[name=tipo]').on('click', function(){
                      $('.desc-sub').hide();
                      $('.desc-sub.tipo-'+$(this).val()).show();

                      // TODO :: Mostrar solo calles disponibles. para este tipo.
                      $('.div-sub').hide();
                      $('.div-sub.tipo-'+$(this).val()).show();

                      $('.div-sub input:checked').prop('checked', false);

                    });

                    //



                  // Agregamos las funcionalidades jQuery o JS necesario para que el modal funcione.
                  // $.import_js('js/form-multi2.js');

              },
              (error) => {
                  console.log(error);
              }
      );

  } else if(action == 'ver_test') {

      await axios.post('/api/verTest', {
          // Variables a pasar aqui jQuery -> Controller

          })
          .then((response) => {
                  // Tratamos la respuesta recogida desde el controlador
                  // EJ :
                  // ownTitle = "<span class='title-alertify-modal'><i class='fas fa-spell-check'></i>Test de Web Service</span>";




                  // Ejecutamos la acciones necesarias
                  //  EJ :
                  // alertify.myAlert(response.data, ownTitle).resizeTo('80%', '80%');



                  // Agregamos las funcionalidades jQuery o JS necesario para que el modal funcione.

              },
              (error) => {
                  console.log(error);
              }
      );

  }

}

//  ******************************************************
// FINISH OF REDIRECTING FUNCTIONS
//  ******************************************************************************



//  ******************************************************
// HELPER FUNCTIONS
//  ******************************************************************************

  async function sessionarEmpresa(empresa) {
    await axios.post('/api/sessionarEmpresa', {
      // VARS
    })
        .then((response) => {
            // RESPONSE


            },
            (error) => {
                console.log(error);
            }
    );
  }
