<div class="modal-container">
  {{-- @dump($data_) --}}
  {{-- @dump($reserva) --}}
  @php
    $turno = $data_->turno;
    $subdivisiones = $data_->subdivisiones;
    $tipos = $data_->tipos;
    $instalacion = $turno->instalacion;

  @endphp
  {{-- @dump($instalacion->has_subdivisiones()) --}}
  <div id="admin-multi-form" style="">
    {{-- @dump($data_); --}}
  <div class="container">
      <div class="row d-flex justify-content-center align-items-center">
          <div class="col-12 col-md-8">
              <form id="regForm">

                  <input type='hidden' name="has_sub" value="{{$instalacion->has_subdivisiones()}}">
                  <input type='hidden' name="nombre_sub" value="{{ $instalacion->nombre_subdivisiones }}">
                  <input type='hidden' name="id_turno" value="{{ $turno->id }}">
                  <input type='hidden' name="tipo_turno" value="{{ $turno->type() }}">
                  <input type='hidden' name="fecha_turno" value="{{ $fecha_turno }}">

                  <h1 id="titulo">DATOS ACTUALES INSTALACIÓN</h1>

                  <div class="banner-img" style="">
                    <div class="line">
                      <span class="label">Nombre</span><br>
                      <span class="content">{{ $instalacion->nombre }}</span>
                    </div>
                    <div class="line">
                      <span class="label">Descripción</span><br>
                      <span class="content">{{ $instalacion->descripcion_corta }}</span>
                    </div>
                    @if(isset($reserva))
                      <div class="line">
                        <span class="label">Tipo de división</span><br>
                        <span class="content"><span class="destacado">{{$reserva->tipo_division->nombre}}</span> :: {{ $reserva->tipo_division->descripcion }}</span>
                      </div>
                      <div class="line">
                        <span class="label">División</span><br>
                        <span class="content">{{ $reserva->division->descripcion }}</span>
                      </div>
                    @endif
                  </div>


                  <div class="all-steps" id="all-steps">
                    @if($instalacion->has_subdivisiones() == 1)
                      <span class="step"></span>
                    @endif
                    <span class="step"></span>
                  </div>

                  {{-- Seleccione un usuario --}}
                  <div class="container">

                    <div class="row justify-content-center">

                      <div class="col-12">
                        <p class="mb-4 pb-2">
                          <h6>Seleccione el usuario: </h6>
                        </p>
                        <br>
                      </div><br>

                      <div class="col-12">
                        {{-- Muestro los diferentes tipos de subdiviones activas que hay --}}

                        <div class="creator-wrapper radio-tipo">
                          <x-selectize class="tipos-all" :options="$users" name="user_select" id="user_select" :selected_value="0" disabled></x-selectize>
                        </div>


                      </div>

                    </div>
                  </div>

                  {{-- {{ $turno->get_fecha()->fecha }} --}}
                  @if($instalacion->has_subdivisiones() == 1)
                    <div class="tab">
                          {{-- RADIO BUTTONS --}}
                          <div class="container">

                            <div class="row justify-content-center">

                              <div class="col-12">
                                <p class="mb-4 pb-2">
                                  <h6>Seleccione el tipo de {{ $instalacion->nombre_subdivisiones }} : </h6>
                                </p>
                                <br>
                              </div><br>

                              <div class="col-12">
                                {{-- Muestro los diferentes tipos de subdiviones activas que hay --}}

                                <div class="creator-wrapper radio-tipo">
                                  {{-- @dump($tipos) --}}
                                  @foreach($tipos as $i => $tipo)
                                      <div class="flex2">
                                        <p></p>
                                        <div class="page__toggle">
                                          <label class="toggle">
                                            <input name="tipo_sub_activo" class="toggle__input" type="checkbox" value="{{$tipo->id}}" id="tipo-{{$i+1}}" @if(isset($reserva) && $tipo->id == $reserva->id_tipo_sub) checked @endif onclick="selectTipo(this)">
                                            <span class="toggle__label">
                                              <span class="toggle__text">{{ $tipo->nombre }}</span>
                                            </span>
                                          </label>
                                        </div>
                                      </div>
                                  @endforeach
                              </div>
                                @foreach($tipos as $i => $tipo)
                                  <p class="desc-sub tipo-{{$tipo->id}}" style="@if(isset($reserva) && $tipo->id != $reserva->id_tipo_sub) display:none; @endif">
                                    <span class="dest">{{ $tipo->nombre}} :: </span> {{$tipo->descripcion}}
                                  <p>
                                @endforeach

                              </div>

                            </div>
                          </div>

                          {{-- TODO :: IF user cannot multiple mostraremos un RADIO si no mostraremos un CHECKBOX  --}}
                          {{-- RADIO BUTTONS --}}
                          <div class="container">

                            <div class="row justify-content-center">
                              <div class="col-12">
                                <p class="mb-4 pb-2">
                                  <h6>Seleccione su {{ $instalacion->nombre_subdivisiones }} : </h6>
                                </p>
                                <br>
                              </div><br>
                              <div class="col-12">


                                  {{-- Muestro los diferentes tipos de subdiviones activas que hay --}}
                                  @foreach($tipos as $i => $tipo)
                                      <div class="div-sub tipo-{{$tipo->id}}" style="@if(isset($reserva) && $tipo->id != $reserva->id_tipo_sub) display:none; @endif">
                                        <div class="creator-wrapper radio-subdivision">
                                        @foreach($subdivisiones as $ii => $sub)
                                          @if($tipo->id == $sub->id_tipo)
                                            <input value="{{$sub->type()}}" name="type" type="hidden"/>
                                            <div class="flex2">
                                              <div class="page__toggle">
                                                <label class="toggle">
                                                  <input value="{{$sub->id}}" name="subdivision" id="sub-{{$ii+1}}"  @if($sub->is_full_booked($turno)) disabled @endif class="toggle__input" type="checkbox" @if(isset($reserva) && $sub->id == $reserva->id_sub) checked @endif
                                                    @if($sub->is_full_booked($turno))onclick="alreadyFullBooked()"
                                                    @else onclick="selectSub(this)"
                                                    @endif>
                                                  <span class="toggle__label">
                                                    <span class="toggle__text">{{ $sub->descripcion }} ({{$sub->free_slots($turno).'/'.$sub->plazas_max }})</span>
                                                  </span>
                                                </label>
                                              </div>
                                            </div>
                                          @endif
                                        @endforeach
                                      </div>
                                    </div>
                                  @endforeach

                            </div>
                            </div>
                          </div>

                  </div>
                  @endif




              </form>
          </div>
      </div>
  </div>

  </div>

</div>


{{-- BOTON GUARDAR --}}
<button class="button error cancel btn-floating" type="button" name="cerrar" onclick="closeModal('myAlert');">Salir</button>
<button class="button success btn-floating" type="button" name="guardar_cambio" onclick="@if(isset($reserva)) setTipoSubdivision() @else guardarNuevaReserva() @endif">Guardar</button>
