<div class="modal-container">
  <div class="admin-main-title">

    <div class="row same-height">
      <div class="col-12 col-md-12 same-height-col">
        <h1>{{ $titulo }}</h1>
        <div class="subtitle">
          <p>{{$subtitulo}}</p>
        </div>
      </div>
    </div>

  </div>

  {{-- CUERPO --}}

  <div class="col-md-12">
      <div class="text">
        <b>Turnos disponibles para {{$inst->nombre}}:</b><br><br>
        {{-- @php dd($turnos) @endphp --}}
        @foreach($semana as $dia)
          {{-- @php dump($dia) @endphp --}}
          @php $myfecha = $dia[0]['fecha_extra']; @endphp

          @if(count($dia) > 0 && empty($dia['dia_escrito']))

            @foreach($dia as $index => $turno)

              @if($index == 0)
                <span class="dia-semana">{{ $turno->dia_Semana() }} :: {{ $myfecha }}</span><br><br>
              @endif

                <div class="selector-turno">
                  <div class="row">
                    <div class="col-2">
                      <i class="fas fa-user-clock"></i>
                    </div>
                    <div class="col-7">
                      <span>{{ $turno->get_hora_comienzo() }} - {{ $turno->get_hora_termino() }}</span>
                    </div>
                    <div class="col-3">
                      @if($turno->is_full_booked())
                        <a class="full-booked" onclick="alreadyFullBooked()"><span>Sin-plazas</span></a>
                      @else
                        <a onclick="seleccionarTurno('{{$turno->id}}', '{{$turno->type()}}', '{{ $myfecha }}', '{{$inst->id}}')"><span>Seleccionar</span></a>
                      @endif
                    </div>
                    <div class="clear">
                    </div>
                  </div>
                </div>


            @endforeach

            <div class="clear"></div>
            <br>
        @else

        @endif
        @endforeach
      </div>


  </div>
</div>

{{-- BOTON GUARDAR --}}
{{-- <button class="button error cancel btn-floating" type="button" name="cerrar" onclick="closeModal('myAlert');">Salir</button>
<button class="button success btn-floating" type="button" name="guardar_cambio" onclick="guardarSubdivision()">Guardar</button> --}}
