<?php
  // if($errors->any()) :
  //   foreach($errors->all() as $error) :
	// 		if($error == 'Su usuario requiere crear nueva contraseña. La confirmación debe rellenarse.' || $error == 'Login incorrecto: La contraseña y su confirmación deben coincidir.') :
  //       $display_pass = "block";
  //       $display_conf = "block";
	// 			$display_mandar = "none";
	// 		elseif($error == 'The password field is required.') :
	// 			$display_pass = "block";
	// 			$display_mandar = "none";
  //     else :
  //       $display_pass = "none";
  //       $display_conf = "none";
	// 			$display_mandar = "block";

  //     endif;
  //   endforeach;
  // endif;
?>

<x-guest-layout>

    <x-jet-authentication-card>
        {{-- <x-slot name="logo">
            <x-jet-authentication-card-logo />
        </x-slot> --}}

        <x-slot name="text">
          <h2 class="font-semibold text-xl leading-tight">
            Panel de Administración
          </h2>
        </x-slot>
		<div class=" cabecera-login">
			<div class="row">
				<div class="col-1">
					Bienvenido/a a <br><b>Asecohe.com</b>
				</div>
				<div class="col-2">
					<img src="{{ env('LOGO_ROUTE') }}" width="180">
				</div>
			</div>
		</div>
		<div class="cnt-login">
			<div class="avatar-login">
				<span class="bx bx2 bx-log-in-circle"></span>
			</div>
			{{-- <x-jet-validation-errors class="mb-4" />
      <div id="errors-js" class="errors-js mb-4" style="display:none">
        <span></span>
      </div> --}}
			@if (session('status'))
				<div class="mb-4 font-medium text-sm text-green-600">
					{{ session('status') }}
				</div>
			@endif

			<form method="POST" action="{{ route('login') }}">
				@csrf

				<div>
					<x-jet-label for="email" value="Usuario / E-mail" />
					<x-jet-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')" required autofocus />
				</div>

				<div class="mt-4" id="pass_div" style="display:{{ $display_pass ?? 'none' }};">
				{{-- <div class="mt-4" id="pass_div"> --}}
					<x-jet-label for="password" value="Contraseña"/>
					<x-jet-input id="password" class="block mt-1 w-full password-div" type="password" name="password" autocomplete="current-password"/> 
				</div>
				<div class="mt-4" id="conf_pass_div" style="display:{{ $display_conf ?? 'none' }};">
					<x-jet-label for="conf_password" value="Confirmación Contraseña" />
					<x-jet-input id="conf_password" placeholder="" class="block mt-1 w-full password-div" type="password" name="conf_password" autocomplete="current-password" />
				</div>


				{{-- <div class="block mt-4">
					<label for="remember_me" class="flex items-center">
						<x-jet-checkbox id="remember_me" name="remember" />
						<span class="ml-2 text-sm text-gray-600">{{ __('Remember me') }}</span>
					</label>
				</div> --}}

        {{-- <div class="form-check mt-4 text-right">
          <input id="terminos" class="form-check-input"  type="checkbox" name="terminos" style="width:16px;"/>
          <label class="form-check-label" for="terminos">
            He leido y acepto terminos y condiciones.
          </label>
        </div> --}}

				<div class="errors-display" style="display:none">

				</div>

				<div class="flex items-center justify-end mt-4" id="btn-sendUser" style="display:{{ $display_mandar ?? 'block' }};" >
					<x-button-login :type="'button'" :content="'Siguiente'" :class="'btn-login login-button'" :onclick="'checkUser();'"></x-button-login>
				</div>
				<div class="flex items-center justify-end mt-4" id="btn-iniciarSesion" style="display:{{ $display_pass ?? 'none' }};">
					<x-button-login :type="'submit'" :content="'Iniciar sesión'" :class="'btn-login login-button'" :raw="' disabled'"></x-button-login>
				</div>
				<div class="flex items-center justify-end mt-4">
					@if (Route::has('password.request'))
						<a class="underline text-sm text-gray-600 hover:text-gray-900" href="{{ route('password.request') }}">
							{{ __('Olvidé mi contraseña') }}
						</a>
					@endif

				</div>
			</form>
		</div>
        <x-slot name="texto_datos">
          <div class="content-proteccion">
            <p class="title">Información básica sobre Protección de datos (LOPD-RGPD)</p>

            <p><span class="more-dark">Responsable:</span> AYTO. DE HERRERA (SEVILLA)</p>
            <p><span class="more-dark">Finalidad:</span> Llevar a cabo la prestación de los servicios solicitado y realizar la facturación de los mismos</p>
            <p><span class="more-dark">Legitimación:</span> Existencia relación contractual.</p>
            <p><span class="more-dark">Destinatarios:</span> No se cederán datos a terceros, salvo a los intervinientes en la prestación de los servicios solicitados y únicamente para esa finalidad, excepto obligación legal</p>
            <p><span class="more-dark">Derechos:</span> Acceder, rectificar, limitar y suprimir los datos, así como presentar una reclamación ante una autoridad de control, como se explica en la información adicional.</p>
            <p><span class="more-dark">Información Adicional:</span> si lo desea puede consultar la información adicional y detallada sobre Protección de Datos en nuestra “Política de Privacidad”.</p>

            <p class="title">
              Si precisa más información al respecto, puede ponerse en contacto con nosotros.
            </p>
          </div>
        </x-slot>

        {{-- <x-slot name="links">
          <ul class="inline-flex justify-items-center mt-4 links-login">
            <li class="small-link"><a onclick="verCookies()">Cookies</a></li>
            <li class="small-link"><a onclick="verPrivacidad()">Privacidad</a></li>
            <li class="small-link"><a onclick="verAvisoLegal()">Aviso legal</a></li>
            <li class="small-link"><a name="changePreferences" id="changePreferences" style="cursor: pointer;">Conf. Coockies</a></li>
          </ul>
        </x-slot> --}}

        <x-slot name="hagoweb">
          <p class="">
            <span>Powered by <a class="applinet" href="https://www.hagoweb.com/">Hagoweb</a></span>
          </p>
          <p class="small">
            <span>PDW System - Version :: 1-0002303</span>
          </p>
        </x-slot>

    </x-jet-authentication-card>

</x-guest-layout>

<script>

		async function checkUser() {
			if(!validateEmail($('#email').val())) {
				showText('error', 'Introduce un email válido');
				return;
			}
			await axios.post('/api/usuario-existe-newpass', {
					// Variables a pasar aqui jQuery -> Controller
					'email' : $('#email').val(),
					})
					.then((response) => {
									// Tratamos la respuesta recogida desde el controlador
									if(response.data.success) {
										$('#btn-sendUser').hide()
										$('#btn-iniciarSesion button').prop('disabled', '')
										$('#btn-iniciarSesion').show()
										$('#pass_div').show()
										$('#password').focus()
										if(response.data.new_pass) {
											$('#conf_pass_div').show()
											showText('warning', 'Por favor, introduzca una nueva contraseña para el usuario correspondiente', 'Nueva contraseña necesaria')									
											$('input.password-div').on('input', function () {
													validatePassInputs().then(result => {
															return; 
													}
													)
											})
											$('input.password-div').on('change', function () {
													validatePassInputs().then(result => {
															return; 
													}
													)
											})
										}
									} else {
										showText('error', 'Este email no está registrado como usuario en nuestro sistema', 'Usuario no registrado')
									}
									// Mostramos el mensaje de confirmación de que todo fue bien
							},
							(error) => {
									console.log(error);
							}
			);
		}

		function validateEmail(input) {
			var validRegex = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;

			if (input.match(validRegex)) {
				return true;
			} else {
				return false;
			}
		}

		async function validatePassInputs() {
			let done = false;

			if ($('#password').val().length >= 1) {
				await axios.post('/api/validatePassword', {
					pass: $('#password').val(),
					pass_confirmation: $('#conf_password').val(),
				})
					.then((response) => {
						toastr.clear();
						if (response.data.success == true) {
							$('.errors-display').html('<p class="success">Tu contraseña es lo bastante segura</p><br>');
							$('#btn-iniciarSesion button').prop('disabled', '')
							done = true;
						} else {
							texting = '';
							if (response.data.myerrors.pass != undefined) {
								response.data.myerrors.pass.forEach(function (item) {
									item = item.replace('The pass must contain at least one uppercase and one lowercase letter.', 'La contraseña debe tener al menos una mayuscula y una minuscula.');
									item = item.replace('The pass must contain at least one symbol.', 'La contraseña debe tener al menos un simbolo.');
									item = item.replace('The pass must be at least 8 characters.', 'La contraseña debe contener 8 caracteres como mínimo.');
									item = item.replace('The pass confirmation does not match.', 'La contraseña y su confirmación deben coincidir.');
									item = item.replace(
										'The given pass has appeared in a data leak. Please choose a different pass.',
										'La contraseña aparece como vulnerada en un algún filtrado de datos y no es segura. Por favor, elija una diferente.'
									);
									item = item.replace('pass ', '');
									
									texting += '<p class="error">' + item + '</p>';
								});
							}
							if (response.data.myerrors.pass_confirmation != undefined) {
								response.data.myerrors.pass_confirmation.forEach(function (item) {
									item = item.replace('The pass confirmation and pass must match.', 'La contraseña y la confirmación deben coincidir');
									texting += '<p class="error">' + item + '</p><br>';
								});
							}
							// console.log(texting);
							$('.errors-display').html(texting);
							$('.errors-display').show();
							// showText('error', texting);
							$('#btn-iniciarSesion button').prop('disabled', 'disabled')
						}

					},
						(error) => {
							console.log(error);
						}
					);
			}

			return done;
		}
</script>