<?php
  if($errors->any()) :
    foreach($errors->all() as $error) :
      if($error == 'Su usuario requiere crear nueva contraseña. La confirmación debe rellenarse.' || $error == 'Login incorrecto: La contraseña y su confirmación deben coincidir.') :
        $display_conf = "block";
      else :
        $display_conf = "none";
      endif;
    endforeach;
  endif;
?>

<x-guest-layout>
    <x-jet-authentication-card>
        <x-slot name="logo">
            <!-- <x-jet-authentication-card-logo /> -->
        </x-slot>

        <x-slot name="text">
          <h2 class="font-semibold text-xl text-gray-400 leading-tight">
            <!-- Clienteweb 3.0 -->
          </h2>
        </x-slot>
		<div class=" cabecera-login">
			<div class="row">
				<div class="col-8">
					Bienvenido/a a <br><b>Reservas deportivas de Herrera</b>
				</div>
				<div class="col-4">
					<img src="images/coorp/logo360x360.png" width="75">
				</div>
			</div>
		</div>
		<div class="cnt-login">
			<div class="avatar-login">
				<span class="bx bx2 bx-user"></span>
			</div>
			<x-jet-validation-errors class="mb-4" />
      <div id="errors-js" class="errors-js mb-4" style="display:none">
        <span></span>
      </div>
			@if (session('status'))
				<div class="mb-4 font-medium text-sm text-green-600">
					{{ session('status') }}
				</div>
			@endif

			<form method="POST" action="{{ route('login') }}">
				@csrf

				<div>
					<x-jet-label for="email" value="Usuario" />
					<x-jet-input id="email" class="block mt-1 w-full" type="text" name="email"  required autofocus />
				</div>

				<div class="mt-4">
					<x-jet-label for="password" value="Contraseña" />
					<x-jet-input id="password" class="block mt-1 w-full" type="password" name="password" required autocomplete="current-password" />
				</div>
				<div class="mt-4" id="conf_pass_div" style="display:{{ $display_conf ?? 'none' }};">
					<x-jet-label for="conf_password" value="Confirmación Contraseña" />
					<x-jet-input id="conf_password" placeholder="" class="block mt-1 w-full" type="password" name="conf_password" autocomplete="current-password" />
				</div>


				{{-- <div class="block mt-4">
					<label for="remember_me" class="flex items-center">
						<x-jet-checkbox id="remember_me" name="remember" />
						<span class="ml-2 text-sm text-gray-600">{{ __('Remember me') }}</span>
					</label>
				</div> --}}

        {{-- <div class="form-check mt-4 text-right">
          <input id="terminos" class="form-check-input"  type="checkbox" name="terminos" style="width:16px;"/>
          <label class="form-check-label" for="terminos">
            He leido y acepto terminos y condiciones.
          </label>
        </div> --}}

				<div class="flex items-center justify-end mt-4">

					<x-jet-button class="ml-4 text-center">
						{{ __('Iniciar sesión') }}
					</x-jet-button>

				</div>
				<div class="flex items-center justify-end mt-4">
					@if (Route::has('password.request'))
						<a class="underline text-sm text-gray-600 hover:text-gray-900" href="{{ route('password.request') }}">
							{{ __('Olvidé mi contraseña') }}
						</a>
					@endif

				</div>
			</form>
		</div>
        <x-slot name="texto_datos">
          <div class="content-proteccion">
            <p class="title">Información básica sobre Protección de datos (LOPD-RGPD)</p>

            <p><span class="more-dark">Responsable:</span> AYTO. DE HERRERA (SEVILLA)</p>
            <p><span class="more-dark">Finalidad:</span> Llevar a cabo la prestación de los servicios solicitado y realizar la facturación de los mismos</p>
            <p><span class="more-dark">Legitimación:</span> Existencia relación contractual.</p>
            <p><span class="more-dark">Destinatarios:</span> No se cederán datos a terceros, salvo a los intervinientes en la prestación de los servicios solicitados y únicamente para esa finalidad, excepto obligación legal</p>
            <p><span class="more-dark">Derechos:</span> Acceder, rectificar, limitar y suprimir los datos, así como presentar una reclamación ante una autoridad de control, como se explica en la información adicional.</p>
            <p><span class="more-dark">Información Adicional:</span> si lo desea puede consultar la información adicional y detallada sobre Protección de Datos en nuestra “Política de Privacidad”.</p>

            <p class="title">
              Si precisa más información al respecto, puede ponerse en contacto con nosotros.
            </p>
          </div>
        </x-slot>

        <x-slot name="links">
          <ul class="inline-flex justify-items-center mt-4 links-login">
            <li class="small-link"><a onclick="verCookies()">Cookies</a></li>
            <li class="small-link"><a onclick="verPrivacidad()">Privacidad</a></li>
            <li class="small-link"><a onclick="verAvisoLegal()">Aviso legal</a></li>
            <li class="small-link"><a name="changePreferences" id="changePreferences" style="cursor: pointer;">Conf. Coockies</a></li>
          </ul>
        </x-slot>

        <x-slot name="applinet">
          <p class="mt-7">
            <span class="applinet-powered">Powered by <a class="applinet" href="https://www.hagoweb.com/">Hagoweb</a></span>
          </p>
        </x-slot>

    </x-jet-authentication-card>

</x-guest-layout>
