<style>
div.card.noticias::before {
  background:url('{{ $background}}');
  background-size:cover;
  background-position:center center;
}
</style>

<div class="card noticias">
    <div class="card-header">INSTALACIONES</div>

    <div class="card-body">

      <div class="row flex">

        {{-- <div class="titulo-inside-section">
          <h2>Grupos de instalaciones</h2>
        </div> --}}
      {{-- YOUR CONTENT HERE --}}
          @foreach($categorias as $categoria)

            <div class="col-md-6 categoria" style="padding:0px;" onclick="verInfoCategoria({{$categoria->id}})">

              <div class="profile-card-2 grupoinstalaciones"> 
                <img src="{{ url('storage/imagenes/categorias/'.$categoria->imagen) }}" class="img img-responsive" height="100%">
                {{-- <img src="{{ $configuracion->imagenes_dir_categorias."/".$categoria->imagen }}" class="img" height="100%"> --}}
                <div class="profile-grupo">Grupo de instalaciones ({{ count($categoria->instalaciones) }})</div>
                <div class="profile-name">{{ $categoria->nombre }}</div>
                <div class="profile-username">{{ $categoria->descripcion }}</div>
                <div class="profile-icons">
                  <a href="#"><i class="fa fa-facebook"></i></a>
                  <a href="#"><i class="fa fa-twitter"></i></a>
                  <a href="#"><i class="fa fa-linkedin"></i></a>
                </div>
              </div>

            </div>

          @endforeach
      {{-- END ROW --}}
      </div>

      <div class="row">

        {{-- <div class="titulo-inside-section">
          <h2>Sin categoría</h2>
        </div> --}}
      {{-- YOUR CONTENT HERE --}}
      <div class="titulo-inside-section">
        <h2></h2>
      </div>
          @foreach($inst_sin_cat as $instalacion)

            <div class="col-md-6 categoria" style="padding:0px;margin-bottom:20px; border:2px solid rgb(255, 255, 255);">

              <div class="profile-card-2 w-buttons">
                <img src="{{ $instalacion->get_imagen() }}" class="img img-responsive" height="100%">
                {{-- <img src="{{ $configuracion->imagenes_dir_categorias."/".$categoria->imagen }}" class="img" height="100%"> --}}
                <div class="profile-name">{{ $instalacion->nombre }}</div>
                <div class="profile-username">{{ $instalacion->descripcion_corta }}</div>
                <div class="profile-icons">
                  <a href="#"><i class="fa fa-facebook"></i></a>
                  <a href="#"><i class="fa fa-twitter"></i></a>
                  <a href="#"><i class="fa fa-linkedin"></i></a>
                </div>
              </div>

              <div class="row no-margins">

                <div class="col-6 my-btn my-btn-center full-width-btn-blue" onclick="verInfoInstalacion({{$instalacion->id}})">
                  <span class="ver-mas">ver info</span>
                </div>
                @if(Auth::check())
                  <div class="col-6 my-btn my-btn-center full-width-btn-green" onclick="verReservaInstalacion({{$instalacion->id}})">
                    <span class="ver-mas">Reservar</span>
                  </div>
                @else
                  <div class="col-6 my-btn my-btn-center full-width-btn-green" onclick="notLoggedUser();">
                    <span class="ver-mas">Reservar</span>
                  </div>
                @endif
              {{-- END ROW --}}
              </div>

            </div>

          @endforeach
      {{-- END ROW --}}
      </div>

    </div>

      <div class="card-footer bg-transparent">

        <div class="row no-margins">

          {{-- <div class="col-lg-6 my-btn my-btn-center full-width-btn-red">
            <span class="ver-mas" onclick="goTo('news')">ver mas</span>
          </div>
          <div class="col-lg-6 my-btn my-btn-center full-width-btn-green">
            <span class="ver-mas" onclick="goTo('news')">ver mas</span>
          </div> --}}
        {{-- END ROW --}}
        </div>

      </div>

{{-- END CARD --}}
</div>
