<div id="my-ticket" class="">

  <div class="container">
    <ul class="responsive-table">
      <li class="table-header" >
        <div class="col col-25">Referencia</div>
        <div class="col col-20">Datos Reserva</div>
        <div class="col col-20">Fecha</div>
        <div class="col col-15">Estado</div>
        <div class="col col-20">Acciones</div>
      </li>

      @foreach($reservas as $reserva)
        <li class="table-row">
          <div class="col col-25" data-label="Referencia">
            <p>{{ $reserva->ref }}</p>
          </div>
          <div class="col col-20" data-label="Datos Booking">
            <p><b>{{ $reserva->instalacion->nombre }}</b></p>
            <p>{{ $reserva->division->descripcion }}</p>
          </div>
          <div class="col col-20" data-label="Fecha">
            <p>{{ $reserva->get_fecha_hora() }}</p>
          </div>
          <div class="col col-15" data-label="Estado" >
            <p>
              <span class="status-icon" style="color:{{$reserva->get_estado()->bg_color}} ">
                {!! $reserva->get_estado()->icon !!}
              </span>
              <span class="status-text">
                {{ $reserva->get_status()->nombre }}
              </span>
            </p>
          </div>
          <div class="col col-20 text-right" data-label="">
            @if($reserva->get_status()->nombre == 'activo')
              <button type="button" name="button" class=" btn-booking-cancel"><i class="far fa-calendar-minus"></i> Cancelar</button>
            @endif
          </div>
          <div class="background-img" style="background-image: url('/images/coorp/Escudo_de_Herrera.png');">
          </div>
        </li>
      @endforeach
    </ul>
  </div>

</div>
