@extends('layouts.guest')

@section('loader')
  {{-- <loader-activator :time="1000" ></loader-activator> --}}
@endsection

@section('content')


  <!--========== HEADER ==========-->
  @component('home.sections.header', [

  ])
  @endcomponent

  <!--========== SLIDER ==========-->
  @component('home.sections.slider', [

  ])
  @endcomponent


  <!--========== LATESTS NEWS ==========-->
  @component('home.sections.latest-products', [
    'id' => 'news'
  ])
  @endcomponent


  <!--========== PROMO ==========-->
  @component('home.sections.promo-left', [
    'id' => 'promo1'
  ])
  @endcomponent

  {{-- <!--========== CLIENTS ==========-->
  @component('home.sections.clients', [

  ])
  @endcomponent --}}

  {{-- <!--========== TESTIMONIALS ==========-->
  @component('home.sections.testimonials', [

  ])
  @endcomponent --}}

  <!--========== LATESTS EVENTS ==========-->
  @component('home.sections.latest-events', [
    'id' => 'events'
  ])
  @endcomponent

  {{-- FACEBOOK SCRIPTs --}}
  {{-- <div id="fb-root"></div>
  <script async defer crossorigin="anonymous" src="https://connect.facebook.net/es_ES/sdk.js#xfbml=1&version=v15.0&appId=1362686697869653&autoLogAppEvents=1" nonce="3FV4pXri"></script>
  <div class="fb-page" data-href="https://www.facebook.com/hagoweb" data-tabs="timeline" data-width="1920" data-height="380" data-small-header="false" data-adapt-container-width="true" data-hide-cover="false" data-show-facepile="true">
    <blockquote cite="https://www.facebook.com/hagoweb" class="fb-xfbml-parse-ignore">
      <a href="https://www.facebook.com/hagoweb">Asecohe</a>
    </blockquote>
  </div> --}}



  <!--========== PROMO ==========-->
  @component('home.sections.promo', [
    'id' => 'promo2'
  ])
  @endcomponent

  {{-- <!--========== WORKS ==========-->
  @component('home.sections.works', [

  ])
  @endcomponent --}}

  <!--========== WORKS ==========-->
  @component('home.sections.aboutus', [
    'id' => 'about-us'
  ])
  @endcomponent

  <!--========== SERVICES ==========-->
  @component('home.sections.services', [
    'id' => 'services'
  ])
  @endcomponent

  <!--========== FOOTER ==========-->
  @component('home.sections.footer', [
    'id' => 'footer'
  ])
  @endcomponent

@endsection

@section('js')
<script>
  $(document).ready(function(){

    $(function () {
      $(".evento-item").slice(0, 3).show();
      $("body").on('click touchstart', '.load-more', function (e) {
        e.preventDefault();
        $(".evento-item:hidden").slice(0, 3).slideDown();
        if ($(".evento-item:hidden").length == 0) {
          $(".load-more").css('visibility', 'hidden');
        }
        $('html,body').animate({
          scrollTop: $(this).offset().top
        }, 1000);
      });
	  });
    
  });
</script>
@endsection