<!--========== HEADER ==========-->
<header class="header navbar-fixed-top">
    <!-- Navbar -->
    <nav class="navbar" role="navigation">
        <div class="container">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="menu-container">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="toggle-icon"></span>
                </button>

                <!-- Logo -->
                <div class="logo">
                    <a class="logo-wrap" href="index.html">
                        <img class="logo-img logo-img-main" src="images/coorp/LOGO-horizontal-blanco.png" alt="Asentus Logo">
                        <img class="logo-img logo-img-active" src="images/coorp/LOGO-horizontal-negro.png" alt="Asentus Logo">
                    </a>
                </div>
                <!-- End Logo -->
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse nav-collapse">
                <div class="menu-container">
                    <ul class="navbar-nav navbar-nav-right">
                        <li class="nav-item"><a class="nav-item-child nav-item-hover @if(Route::current()->getName() == 'home') active @endif" href="/">Home</a></li>
                        <li class="nav-item"><a class="nav-item-child nav-item-hover @if(Route::current()->getName() == 'pagina-about') active @endif" href="{{ url('/about') }}">Quienes somos</a></li>
                        <li class="nav-item"><a class="nav-item-child nav-item-hover @if(Route::current()->getName() == 'pagina-asociados') active @endif" href="{{ url('/asociados') }}">Asociados</a></li>
                        <li class="nav-item"><a class="nav-item-child nav-item-hover @if(Route::current()->getName() == 'pagina-convenios') active @endif" href="{{ url('/convenios')}}">Convenios</a></li>
                        <li class="nav-item"><a class="nav-item-child nav-item-hover @if(Route::current()->getName() == 'pagina-blog') active @endif" href="{{ url('/blog') }}">Blog</a></li>
                        {{-- <li class="nav-item"><a class="nav-item-child nav-item-hover" href="#">FAQ</a></li> --}}
                        <li class="nav-item"><a class="nav-item-child nav-item-hover" href="#contact">Contact</a></li>
                    </ul>
                </div>
            </div>
            <!-- End Navbar Collapse -->
        </div>
    </nav>
    <!-- Navbar -->
</header>
<!--========== END HEADER ==========-->
