<style>
  .opened-noticia {
    background-color:white;
    padding:1.5rem;
  }

  main {
    /* display: block; */
    padding-bottom: 160px;
    /* padding-bottom: 480px; */
  }
  #my-content {
    /* border-radius:20px; */
  }
  @media screen and (max-width: 800px) {
      main div#my-content {
        /* padding-top: 80px; */
        padding-bottom: 360px;
      }

    .profile-card-2.banner-img img {
        transition: all linear 0.25s;
        width: auto;
        max-width: none;
        height: 100%;
        position: absolute;
        left:
        0%;
        margin: auto;
        filter: contrast(70%) blur(2px);
    }

    main {
      display: block;
      padding-bottom: 140px;
    }

  }
</style>

<div class="container">
    <div class="row justify-content-center">
      <div class="col-12">

        <div class="banner">
          <div class="profile-card-2 banner-img">
            <img src="{{ $imagen }}" class="img" height="100%">
            <div class="profile-name">{{ $instalacion->nombre }}</div>
            <div class="profile-username">{{ $instalacion->descripcion_corta }}</div>
            {{-- <div class="profile-icons"><a href="#"><i class="fa fa-facebook"></i></a><a href="#"><i class="fa fa-twitter"></i></a><a href="#"><i class="fa fa-linkedin"></i></a></div> --}}
          </div>
        </div> {{-- BANNER --}}

        <div class="opened-noticia">

          <section>
            <div class="title-div">
              <div class="title">Horario</div>
            </div>
            <div class="text">
              <b>General :</b> {{ $instalacion->get_hora_apertura() }} - {{ $instalacion->get_hora_cierre() }}
            </div>
            <div class="text">
              <b>Reservas disponibles:</b><br><br>
              {{-- @php dd($turnos) @endphp --}}
              @foreach($turnos as $dia)
                {{-- @php dump($dia) @endphp --}}
                @if(count($dia) > 0 && empty($dia['dia_escrito']))

                  {{-- TODO ::
                  DEBEMOS TENER EN CUENTA:
                  - Si hay plazas libres para ese turno concreto.
                    * Reservar
                  - Mostramos lleno y botón poner en cola si no hay plazas.
                    * Nos lleva a seleccionar subdivisión o hacer reserva. Pero solo nos deja ponernos en lista de espera.
                  --}}
                  {{-- TODO ::
                  MOSTRAMOS SOLO LOS TURNOS QUE COMPRENDAN LAS PRÓXIMAS X HORAS DEFINIDAS COMO TIEMPO ANTERIOR A RESERVA
                  --}}
                  {{-- QUESTION :: DUDA
                  ¿SI HAY UN DIA CERRADO EN ESAS PRÓXIMAS HORAS MOSTRAMOS EL DIA SIGUIENTE?
                  --}}
                  @foreach($dia as $index => $turno)

                    @if($index == 0)
                      <span class="dia-semana">{{ $turno->dia_Semana() }}</span><br><br>
                    @endif

                      <div class="contacto-instalacion">
                        <div class="row">
                          <div class="col-2">
                            <i class="fas fa-user-clock"></i>
                          </div>
                          <div class="col-7">
                            <span>{{ $turno->get_hora_comienzo() }} - {{ $turno->get_hora_termino() }}</span>
                          </div>
                          <div class="col-3">
                            @if($turno->is_booked())
                              <a class="booked" onclick="alreadyBooked()"><span>Reservado</span></a>
                            @elseif($turno->is_full_booked())
                              <a class="full-booked" onclick="alreadyFullBooked()"><span>Sin-plazas</span></a>
                            @else
                              <a onclick="openReservaTurno('{{ $turno->id }}', '{{ $turno->TIPO }}')"><span>Reservar</span></a>
                            @endif
                          </div>
                          <div class="clear">
                          </div>
                        </div>
                      </div>


                  @endforeach

                  <div class="clear"></div>
                  <br>
              @else

              @endif
              @endforeach
            </div>
          </section>

          <section>
            <div class="title-div">
              <div class="title">Enlaces :</div>
            </div>
            <div class="text">
              <div class="link-instalacion" onclick="">
                <span><i class="fas fa-map-marked-alt"></i><span>¿cómo llegar?</span></span>
              </div>
              <div class="link-instalacion" onclick="">
                <span><i class="fas fa-file-pdf"></i><span>Normativa</span></span>
              </div>
              <div class="link-instalacion" onclick="verInfoInstalacion({{$instalacion->id}})">
                <span><i class="fas fa-calendar-check"></i><span>Ver semana</span></span>
              </div>
              <div class="clear"></div>

            </div>
          </section>

          <section>
            <div class="title-div">
              <div class="title">Persona de contacto :</div>
            </div>

            <div class="text">
              {{-- @if($instalacion->categoria != null)
                <div class="contacto-instalacion">
                  <span><i class="fas fa-calendar-check"></i><span>{{ $instalacion->categoria->nombre }}</span></span>
                </div>
              @endif --}}
              @if($instalacion->contacto_nombre)
                <div class="contacto-instalacion">
                  <div class="row">
                    <div class="col-3">
                      <i class="far fa-id-badge"></i>
                    </div>
                    <div class="col-9">
                      <span>{{ $instalacion->contacto_nombre }}</span>
                    </div>
                  </div>
                </div>
              @endif
              @if($instalacion->contacto_telefono)

                <div class="contacto-instalacion">
                  <div class="row">
                    <div class="col-3">
                      <i class="fas fa-phone-volume"></i>
                    </div>
                    <div class="col-6">
                      <span>{{ $instalacion->contacto_telefono }}</span>
                    </div>
                    <div class="col-3">
                      <a href="tel:+34{{ $instalacion->contacto_telefono }}"><span>llamar</span></a>
                    </div>
                    <div class="clear">
                    </div>
                  </div>
                </div>

              @endif
              {{-- @if($instalacion->contacto_telefono)
                <div class="contacto-instalacion">
                  <span><i class="fas fa-calendar-check"></i><span>{{ $instalacion->contacto_email }}</span></span>
                </div>
              @endif --}}
            </div>
          </section>

          <div class="footer-div">

          </div> {{-- FOOTER DIV --}}

        </div> {{-- OPENED NOTICIA --}}
      </div> {{-- COL12 --}}
    </div> {{-- ROW --}}
</div> {{-- CONTAINER --}}
