@extends('layouts.guest')

@section('loader')
  {{-- <loader-activator :time="1000" ></loader-activator> --}}
@endsection

@section('content')


  <!--========== HEADER ==========-->
  @component('home.sections.header', [

  ])
  @endcomponent

  <!--========== HEADER PARALLAX ==========-->
  @component('components.header-parallax', [
    'background' => 'images/app/for_news.jpg',
    'titulo' => 'Blog',
    'descripcion' => 'Aquí te mantenemos informado'
  ])
  @endcomponent

  <!--========== BREADCRUMB ==========-->
  @component('components.breadcrumb', [
    'parts' => [
      ['texto' => 'Home',
       'link' => '/'],
      ['texto' => 'Blog',
       'link' => '/']
    ],
    'actual' => 'Titulo del post',
    'destacado' => 'Titulo del post'
  ])
  @endcomponent



  <div id="blog" class="blog">

    <!-- ======= Blog Section ======= -->
    <section id="blog" class="blog">
      <div class="container" data-aos="fade-up">

        <div class="row">

          <div class="col-lg-8 entries">

            <article class="entry entry-single">

              <div class="entry-img">
                <img src="images/app/for_news.jpg" alt="" class="img-fluid">
              </div>

              <h2 class="entry-title">
                <a href="blog-single.html">Dolorum optio tempore voluptas dignissimos cumque fuga qui quibusdam quia</a>
              </h2>

              <div class="entry-meta">
                <ul>
                  <li class="d-flex align-items-center"><i class='bx bxs-user'> </i><a href="blog-single.html">John Doe</a></li>
                  <li class="d-flex align-items-center"><i class='bx bx-time-five' ></i> <a href="blog-single.html"><time datetime="2020-01-01">Jan 1, 2020</time></a></li>
                </ul>
              </div>

              <div class="entry-content">
                <p>
                  Similique neque nam consequuntur ad non maxime aliquam quas. Quibusdam animi praesentium. Aliquam et laboriosam eius aut nostrum quidem aliquid dicta.
                  Et eveniet enim. Qui velit est ea dolorem doloremque deleniti aperiam unde soluta. Est cum et quod quos aut ut et sit sunt. Voluptate porro consequatur assumenda perferendis dolore.
                </p>

                <p>
                  Sit repellat hic cupiditate hic ut nemo. Quis nihil sunt non reiciendis. Sequi in accusamus harum vel aspernatur. Excepturi numquam nihil cumque odio. Et voluptate cupiditate.
                </p>

                <blockquote>
                  <p>
                    Et vero doloremque tempore voluptatem ratione vel aut. Deleniti sunt animi aut. Aut eos aliquam doloribus minus autem quos.
                  </p>
                </blockquote>

                <p>
                  Sed quo laboriosam qui architecto. Occaecati repellendus omnis dicta inventore tempore provident voluptas mollitia aliquid. Id repellendus quia. Asperiores nihil magni dicta est suscipit perspiciatis. Voluptate ex rerum assumenda dolores nihil quaerat.
                  Dolor porro tempora et quibusdam voluptas. Beatae aut at ad qui tempore corrupti velit quisquam rerum. Omnis dolorum exercitationem harum qui qui blanditiis neque.
                  Iusto autem itaque. Repudiandae hic quae aspernatur ea neque qui. Architecto voluptatem magni. Vel magnam quod et tempora deleniti error rerum nihil tempora.
                </p>

                <h3>Et quae iure vel ut odit alias.</h3>
                <p>
                  Officiis animi maxime nulla quo et harum eum quis a. Sit hic in qui quos fugit ut rerum atque. Optio provident dolores atque voluptatem rem excepturi molestiae qui. Voluptatem laborum omnis ullam quibusdam perspiciatis nulla nostrum. Voluptatum est libero eum nesciunt aliquid qui.
                  Quia et suscipit non sequi. Maxime sed odit. Beatae nesciunt nesciunt accusamus quia aut ratione aspernatur dolor. Sint harum eveniet dicta exercitationem minima. Exercitationem omnis asperiores natus aperiam dolor consequatur id ex sed. Quibusdam rerum dolores sint consequatur quidem ea.
                  Beatae minima sunt libero soluta sapiente in rem assumenda. Et qui odit voluptatem. Cum quibusdam voluptatem voluptatem accusamus mollitia aut atque aut.
                </p>
                <img src="assets/img/blog/blog-inside-post.jpg" class="img-fluid" alt="">

                <h3>Ut repellat blanditiis est dolore sunt dolorum quae.</h3>
                <p>
                  Rerum ea est assumenda pariatur quasi et quam. Facilis nam porro amet nostrum. In assumenda quia quae a id praesentium. Quos deleniti libero sed occaecati aut porro autem. Consectetur sed excepturi sint non placeat quia repellat incidunt labore. Autem facilis hic dolorum dolores vel.
                  Consectetur quasi id et optio praesentium aut asperiores eaque aut. Explicabo omnis quibusdam esse. Ex libero illum iusto totam et ut aut blanditiis. Veritatis numquam ut illum ut a quam vitae.
                </p>
                <p>
                  Alias quia non aliquid. Eos et ea velit. Voluptatem maxime enim omnis ipsa voluptas incidunt. Nulla sit eaque mollitia nisi asperiores est veniam.
                </p>

              </div>

              <div class="entry-footer">
                <i class='bx bx-folder'></i>
                <ul class="cats">
                  <li><a href="#">Business</a></li>
                </ul>

                <i class='bx bx-purchase-tag-alt' ></i>
                <ul class="tags">
                  <li><a href="#">Creative</a></li>
                  <li><a href="#">Tips</a></li>
                  <li><a href="#">Marketing</a></li>
                </ul>
              </div>

            </article><!-- End blog entry -->

          </div>

          <div class="col-lg-4">

            @component('components.blog-sidebar', [
            ])
            @endcomponent

          </div><!-- End blog sidebar -->

        </div>

      </div>
    </section><!-- End Blog Section -->

  </div>


  <!--========== FOOTER ==========-->
  @component('home.sections.footer', [
    'id' => 'footer'
  ])
  @endcomponent

@endsection

@section('js')
  <script>
    $(document).ready(function(){
        $('ul.listado li a').click(function(e) {
        // this.preventDefault();
        var textoFiltro = $(this).text().toLowerCase().replace(/\s/g,"-");
        if(textoFiltro == 'todos')
        {
            $('div.cards div.card.hidden').fadeIn('slow').removeClass('hidden');
        } else {
            $('.cards div.card').each(function()
            {
                tag = $(this).children('.card-body').children('.tag').text().toLowerCase().replace(/\s/g,"-");

                if( tag != textoFiltro) {
                    $(this).fadeOut('normal').addClass('hidden');
                } else {
                    $(this).fadeIn('slow').removeClass('hidden');
                }
            });
        }
        return false;
        });

    });
  </script>
@endsection
