@extends('layouts.guest')

@section('loader')
  {{-- <loader-activator :time="1000" ></loader-activator> --}}
@endsection

@section('content')


  <!--========== HEADER ==========-->
  @component('home.sections.header', [

  ])
  @endcomponent

  <!--========== HEADER PARALLAX ==========-->
  @component('components.header-parallax', [
    'background' => 'img/1920x1080/01.jpg',
    'titulo' => 'CONVENIOS Y DESCUENTOS',
    'descripcion' => 'Aquí podrás ver todas las ventajas directas que tenemos para nuestros asociados'
  ])
  @endcomponent

  <div id="convenios">

    <div class="content-lg container">
        <div class="row margin-b-40">
            <div class="col-sm-6">
                {{-- <h2>Asociados actuales</h2> --}}
                <p>Estos son los componentes de nuestra asociación</p>
            </div>
        </div>
        <!--// end row -->

        <div class="row">
          <ul class="listado">
            <li><a href="#">Todos</a></li>
            <li><a href="#">Desarrollo web</a></li>
            <li><a href="#">Otros</a></li>
            <div class="clearing">
            </div>
          </ul>
        </div>

        <div class="container cards">

          @component('components.card-convenio', [
            'convenio' => []
          ])
          @endcomponent

        </div>


  </div>

  <!--========== FOOTER ==========-->
  @component('home.sections.footer', [
    'id' => 'footer'
  ])
  @endcomponent

@endsection

@section('js')
  <script>
    $(document).ready(function(){
        $('ul.listado li a').click(function(e) {
        // this.preventDefault();
        var textoFiltro = $(this).text().toLowerCase().replace(/\s/g,"-");
        if(textoFiltro == 'todos')
        {
            $('div.cards div.card.hidden').fadeIn('slow').removeClass('hidden');
        } else {
            $('.cards div.card').each(function()
            {
                tag = $(this).children('.card-body').children('.tag').text().toLowerCase().replace(/\s/g,"-");

                if( tag != textoFiltro) {
                    $(this).fadeOut('normal').addClass('hidden');
                } else {
                    $(this).fadeIn('slow').removeClass('hidden');
                }
            });
        }
        return false;
        });
    });
  </script>
@endsection
