
<?php
  $agent = session('agent');
  $items_form_url = env('ADMIN_COMPONENTS_FORM');
?>
  
<div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-10 same-height-col">
          <h1><?php echo $titulo ?? ''; ?></h1>
          <div class="subtitle">
            <p><?php echo e($subtitulo ?? ''); ?></p>
          </div>
        </div>
        <div class="col-12 col-md-2 same-height-col text-right">
          
        </div>
      </div>
    </div>


    
    
    

    <div class="col-md-12">

      <div class="card">
        <div class="card-header">
          <span class="titulo">
            <?php if(isset($cat_asociado)): ?>
              <?php echo e($cat_asociado->nombre); ?>

            <?php else: ?>
              Crear nueva categoría de asociado
            <?php endif; ?>
          </span>
        </div>

        <div class="card-body">
          <div class="row">
            <div class="col-md-12" id="floating-label">
              <input class="form-control" id="cat_asociado_id" name="cat_asociado_id" type="hidden" placeholder="id" <?php if(isset($cat_asociado)): ?> value="<?php echo e($cat_asociado->id); ?>"<?php endif; ?>/>
                <div class="creator-wrapper">
                  <h3>Datos de la categoría de asociado</h3>
                </div>

                <div class="creator-wrapper">
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Nombre</label>
                        <?php isset($cat_asociado) ? $value = $cat_asociado->nombre : $value = ''; ?>
                        <?php if (isset($component)) { $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Input::class, ['class' => 'form-control','id' => 'cat_asociado_name','name' => 'cat_asociado_name','type' => 'text','placeholder' => 'Nombre','value' => $value]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7)): ?>
<?php $component = $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7; ?>
<?php unset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7); ?>
<?php endif; ?>
                      </div>
                    </div>

                    <div class="flex2" style="align-self:end;">
                      <div class="form-check"> 
                        <?php isset($cat_asociado) ? $value = $cat_asociado->activo : $value = true; ?>
                          <?php if (isset($component)) { $__componentOriginal65b96498117216404ff6afa327e63156e5f49168 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Checkbox::class, ['class' => 'form-check-input','id' => 'cat_asociado_activo','name' => 'cat_asociado_activo','checked' => $value]); ?>
<?php $component->withName('checkbox'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal65b96498117216404ff6afa327e63156e5f49168)): ?>
<?php $component = $__componentOriginal65b96498117216404ff6afa327e63156e5f49168; ?>
<?php unset($__componentOriginal65b96498117216404ff6afa327e63156e5f49168); ?>
<?php endif; ?>
                        <label class="form-check-label" for="cat_asociado_activo"> Activo </label>
                      </div> 
                    </div>

                    <div class="flex6">

                    </div>
                </div>

                <div class="creator-wrapper">
                  <h3>Imágen y descripción</h3>
                </div>
                  
                  <div class="creator-wrapper">         
                    <div class="flex4">
                      <p class="stitle">Imagen:</p>
                      <div class="show-logo">
                        <?php if(!isset($cat_asociado)): ?>
                          <img id="logo-loaded" src="<?php echo e(env('LOGO_ROUTE_EMPTY')); ?>">
                        
                        <?php else: ?>
                          <img id="logo-loaded" src="<?php echo e($cat_asociado->get_imagen()); ?>">
                        <?php endif; ?>
                      </div><br>
                      <div class="form-group">
                          <input id="imagen" accept="image/*" type="file" name="imagen" >
                      </div>
                    </div>
                    <div class="flex4">
                      <p class="stitle">Descripción corta :</p>
                      <div class="text-editor t3 h120">
                        <?php isset($cat_asociado) ? $cat_asociado->descripcion : '' ; ?>
                      </div>
                    </div>
                  </div>
                <br>
            </div>
          </div>
        </div> <!-- CARD BODY -->

        <div class="card-footer">
                  <?php if(isset($cat_asociado)): ?>
                    <span class="btn btn-success btn-flexi sender" onclick="saveCategoriaAsociado(<?php echo e($is_second ?? 0); ?>);">
                      <i class='bx bx2 bxs-save bx-flip-horizontal' ></i> Guardar
                    </span>
                  <?php else: ?>
                    <span class="btn btn-success btn-flexi sender" onclick="saveCategoriaAsociado(<?php echo e($is_second ?? 0); ?>);">
                      <i class='bx bx2 bxs-user-plus bx-flip-horizontal'></i> Crear Categoría
                    </span>
                  <?php endif; ?>
        </div>
      </div>
    </div>
  </div><?php /**PATH C:\wamp64\www\proyectos\new-default\httpdocs\resources\views/admin/modals/new-edit-categoria-asociado.blade.php ENDPATH**/ ?>