<?php
  // MAIN URLS
  $items_url = env('ADMIN_COMPONENTS_MENU');
  $tables_url = env('ADMIN_COMPONENTS_TABLES');
?>

<?php $__env->startSection('section'); ?>

  <div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-8 same-height-col">
          <h1><?php echo e($titulo); ?></h1>
          <div class="subtitle">
            <p><?php echo e($subtitulo); ?></p>
          </div>
        </div>
        <div class="col-12 col-md-4 same-height-col text-right text-left-mobile">
            <?php echo $__env->make("{$items_url}.menu-actions", [
              'section' => 'usuarios'
            ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            
        </div>
      </div>
    </div>

    
    
    

    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <span class="titulo">Listado de usuarios del sistema</span>
        </div>
        <div class="card-body">
          <?php echo $__env->make("{$tables_url}.usuarios-table", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div> <!-- CARD BODY -->
        <div class="card-footer">
          
        </div>
      </div>
    </div>
  </div>

<?php $__env->stopSection(); ?>

<script src="/js/admin/helper.js"></script>
<script src="/js/admin/usuario.js"></script>
<?php echo $__env->make('dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\proyectos\new-default\httpdocs\resources\views/admin/sections/usuarios.blade.php ENDPATH**/ ?>