<?php
  $options = $attributes['options'];          //Array de value => texto para cada option
  $id = $attributes['id'];                    //id (Selector) del select
  $name = $attributes['name'];                //name (selector) del select
  $class = $attributes['class'];              //clase (Selector) del select
  $selected_value = $attributes['selectedvalue'];  //Value selected now
  $selected_multiple = $attributes['selectedmultiple']; //Values selected now
  $show_value = $attributes['show_value'];    //Show Values before texto
  $multiple = $attributes['multiple'];        //string :: must be multiple or empty
  $search_text = $attributes['searchtext'];       //Show Values before texto
?>

<select id="<?php echo e($id); ?>" class="<?php echo e($class); ?>" name="<?php echo e($name); ?>" <?php echo e($multiple); ?>>
  
  <?php if(!empty($search_text)): ?>
    <option value="" disabled><?php echo e($search_text); ?></option>
  <?php else: ?>
    <option value="" disabled>Buscar..</option>
  <?php endif; ?>
  <?php $__currentLoopData = $options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <option 
      value="<?php echo e($option->value); ?>" 
      text="<?php echo e($option->texto); ?>" 
      <?php if(!empty($selected_value) && $selected_value == $option->value): ?> selected <?php endif; ?>
      <?php if(!empty($selected_multiple) && in_array($option->value, $selected_multiple)): ?> selected <?php endif; ?>
    >
      
      <?php $show_value ? $option->value.' '.$option->conector_extras : '' ?>
      <?php echo e($option->texto); ?> 
      <?php !empty($option->extra1) ? ' '.$option->conector_extras.' '.$option->extra1 : '' ?>  
      <?php !empty($option->extra2) ? ' '.$option->conector_extras.' '.$option->extra2 : '' ?>
    
    </option>
  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</select><?php /**PATH C:\wamp64\www\proyectos\new-default\httpdocs\resources\views/admin/components-views/Form/selects/selectize.blade.php ENDPATH**/ ?>