
<?php
  $agent = session('agent');
  $items_form_url = env('ADMIN_COMPONENTS_FORM');
?>
  
<div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-10 same-height-col">
          <h1><?php echo $titulo ?? ''; ?></h1>
          <div class="subtitle">
            <p><?php echo e($subtitulo ?? ''); ?></p>
          </div>
        </div>
        <div class="col-12 col-md-2 same-height-col text-right">
          
        </div>
      </div>
    </div>

    
    
    

    <div class="col-md-12">

      <div class="card">
        <div class="card-header">
          <span class="titulo">
            <?php if(isset($frame)): ?>
              <?php echo e($frame->title); ?>

            <?php else: ?>
              Crear nuevo frame
            <?php endif; ?>
          </span>
        </div>

        <div class="card-body">

          <div class="row">
            <div class="col-md-12" id="floating-label">
              <input class="form-control" id="frame_id" name="frame_id" type="hidden" placeholder="id" <?php if(isset($frame)): ?> value="<?php echo e($frame->id); ?>" <?php endif; ?>/>
                <div class="creator-wrapper">
                  <h3>Datos del frame</h3>
                </div>

                <div class="creator-wrapper">
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Título</label>
                        <?php isset($frame) ? $value = $frame->title : $value = ''; ?>
                        <?php if (isset($component)) { $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Input::class, ['class' => 'form-control','id' => 'frame_title','name' => 'frame_title','type' => 'text','placeholder' => 'Título','value' => $value]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7)): ?>
<?php $component = $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7; ?>
<?php unset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7); ?>
<?php endif; ?>
                      </div>
                    </div>

                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Subtítulo</label>
                        <?php isset($frame) ? $value = $frame->subtitle : $value = ''; ?>
                        <?php if (isset($component)) { $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Input::class, ['class' => 'form-control','id' => 'frame_subtitle','name' => 'frame_subtitle','type' => 'text','placeholder' => 'Subtítulo','value' => $value,'raw' => 'required']); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7)): ?>
<?php $component = $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7; ?>
<?php unset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7); ?>
<?php endif; ?>
                      </div>
                    </div>                    
                  </div>
                  
                <div class="creator-wrapper">
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Texto Botón</label>
                        <?php isset($frame) ? $value = $frame->button_text : $value = ''; ?>
                        <?php if (isset($component)) { $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Input::class, ['class' => 'form-control','id' => 'frame_button_text','name' => 'frame_button_text','type' => 'text','placeholder' => 'Texto del Botón','value' => $value]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7)): ?>
<?php $component = $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7; ?>
<?php unset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7); ?>
<?php endif; ?>
                      </div>
                    </div>
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Link Botón</label>
                        <?php isset($frame) ? $value = $frame->button_link : $value = ''; ?>
                        <?php if (isset($component)) { $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Input::class, ['class' => 'form-control','id' => 'frame_button_link','name' => 'frame_button_link','type' => 'text','placeholder' => 'Link del botón','value' => $value]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                       <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7)): ?>
<?php $component = $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7; ?>
<?php unset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7); ?>
<?php endif; ?>
                    </div>
                    </div>
                    <div class="flex2" style="align-self:end;">
                      <div class="form-check"> 
                        <?php isset($frame) ? $value = $frame->status : $value = true; ?>
                          <?php if (isset($component)) { $__componentOriginal65b96498117216404ff6afa327e63156e5f49168 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Checkbox::class, ['class' => 'form-check-input','id' => 'frame_status','name' => 'frame_status','checked' => $value]); ?>
<?php $component->withName('checkbox'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal65b96498117216404ff6afa327e63156e5f49168)): ?>
<?php $component = $__componentOriginal65b96498117216404ff6afa327e63156e5f49168; ?>
<?php unset($__componentOriginal65b96498117216404ff6afa327e63156e5f49168); ?>
<?php endif; ?>
                        <label class="form-check-label" for="frame_status"> Activo </label>
                      </div> 
                    </div>
                </div>

                <div class="creator-wrapper">
                  <h3>Fondo del slider</h3>
                </div>
                
                <div class="creator-wrapper">         
                  <div class="flex4">
                    <p class="stitle">Fondo / imagen:</p>
                    <div class="show-logo">
                      <?php if(!isset($frame)): ?>
                        <img id="frame_default_background" src="<?php echo e(env('LOGO_ROUTE_EMPTY')); ?>">
                      
                      <?php else: ?>
                        <img id="frame_image" src="<?php echo e($frame->get_imagen_admin()); ?>">
                      <?php endif; ?>
                    </div><br>
                    <div class="form-group">
                        <input id="image" accept="image/*" type="file" name="image" >
                    </div>
                  </div>
                  <div class="flex4">
                    <p class="stitle">Descripción corta :</p>
                    <div class="text-editor t1 h120">
                      <?php isset($frame) ? $text_value = html_entity_decode($frame->short_desc) : $text_value = ' '; ; ?>
                      <?php echo $text_value; ?> 
                    </div>
                  </div>
                </div>

                <br>

            </div>
          </div>

        </div> <!-- CARD BODY -->

        <div class="card-footer">
                  <?php if(isset($frame)): ?>
                    <span class="btn btn-success btn-flexi sender" onclick="saveFrame();">
                      <i class='bx bx2 bxs-save bx-flip-horizontal' ></i> Guardar
                    </span>
                  <?php else: ?>
                    <span class="btn btn-success btn-flexi sender" onclick="saveFrame();">
                      <i class='bx bx2 bxs-user-plus bx-flip-horizontal'></i> Crear Frame
                    </span>
                  <?php endif; ?>
        </div>
      </div>

    </div>

  </div>

  <script>
    console.log('testing');
  </script><?php /**PATH C:\wamp64\www\proyectos\new-default\httpdocs\resources\views/admin/modals/new-edit-frame.blade.php ENDPATH**/ ?>