<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\AppLayout::class, []); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
   <?php $__env->slot('header', null, []); ?> 
    <h2 class="font-semibold text-xl text-gray-800 leading-tight">
      <?php echo e(__('Dashboard')); ?>

    </h2>
   <?php $__env->endSlot(); ?>

    <div class="">
        <div class="w-full min-h-screen mx-auto">
            
            <div class="relative min-h-screen md:flex">
              
              <div class="bg-sidebar sidebar-admin text-blue-100 w-64 space-y-6 px-0 absolute inset-y-0 left-0 transform -translate-x-full md:relative md:translate-x-0 transition duration-200 ease-in-out">
                <!-- Logo -->
                <div class="w-full bg-white">
                  <div class="flexbox w-full items-center justify-center" id="logo-dash" style="background-image: url(<?php echo e(env('BACKGROUND_DASHBOARD')); ?>);">
                    <div class="overlay"></div>
                    <div class="img-logo">
                      <img src="<?php echo e(env('LOGO_ROUTE_WHITE')); ?>">
                    </div>
                    <div class="logo-name">
                      <?php echo e(env('DASH_LOGO_NAME')); ?>

                    </div>
                  </div>
                </div>

                <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">×</a>
                
                
                
                
                <nav class="py-4 px-2">

                  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['is-root', 'is-admin'])): ?>
                    <a href="<?php echo e(route('usuarios')); ?>" class="block py-2 px-4 btn-bg-mine flex <?php echo e(Request::is('usuarios') ? 'active' : ''); ?> rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class='bx bx2 bxs-user-pin' ></i></span> 
                      <span class="name-link ml-4">Usuarios</span>
                    </a>
                  <?php endif; ?>

                  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['is-root', 'is-admin', 'is-gestor'])): ?>
                    <a href="<?php echo e(route('website')); ?>" class="block py-2 px-4 btn-bg-mine flex <?php echo e(Request::is('website') ? 'active' : ''); ?> rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class='bx bx2 bxs-home-smile'></i></span> 
                      <span class="name-link ml-4">Website</span>
                    </a>
                  <?php endif; ?>

                  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['is-root', 'is-admin', 'is-gestor'])): ?>
                    <a href="<?php echo e(route('asociados')); ?>" class="block py-2 px-4 btn-bg-mine flex <?php echo e(Request::is('admin/asociados') || Request::is('admin/asociados/*') || Request::is('admin/instalacion/*')  ? 'active' : ''); ?> rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class='bx bx2 bxs-directions'></i></span> 
                      <span class="name-link ml-4">Asociados
                      </span>
                    </a>
                  <?php endif; ?>

                  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['is-root', 'is-admin', 'is-gestor'])): ?>
                    <a href="<?php echo e(route('categorias-asociados')); ?>" class="block py-2 px-4 btn-bg-mine flex <?php echo e(Request::is('admin/categoria-asociados') || Request::is('admin/categoria-asociados/*')  ? 'active' : ''); ?> rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class='bx bx2 bxs-category'></i></span> 
                      <span class="name-link ml-4">Categorias asociados
                      </span>
                    </a>
                  <?php endif; ?>

                  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['is-root', 'is-admin', 'is-gestor', 'is-escritor'])): ?>
                    <a href="<?php echo e(route('paginas')); ?>" class="block py-2 px-4 btn-bg-mine flex <?php echo e(Request::is('paginas') ? 'active' : ''); ?> rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class="bx bx2 bx-file-blank"></i></span> 
                      <span class="name-link ml-4">Páginas</span>
                    </a>
                  <?php endif; ?>

                  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['is-root', 'is-admin', 'is-gestor', 'is-escritor'])): ?>
                    <a href="<?php echo e(route('noticias')); ?>" class="block py-2 px-4 btn-bg-mine flex <?php echo e(Request::is('noticias') ? 'active' : ''); ?> rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class='bx bx2 bxl-blogger' ></i></span> 
                      <span class="name-link ml-4">Blog</span>
                    </a>
                  <?php endif; ?>

                  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['is-root', 'is-admin', 'is-gestor', 'is-escritor'])): ?>
                    <a href="<?php echo e(route('categorias-blog')); ?>" class="block py-2 px-4 btn-bg-mine flex <?php echo e(Request::is('admin/categorias-blog') || Request::is('admin/categoria-blog/*')  ? 'active' : ''); ?> rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class='bx bx2 bxs-category'></i></span> 
                      <span class="name-link ml-4">Categorias Blog
                      </span>
                    </a>
                  <?php endif; ?>

                  

                  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('is-root')): ?>
                    <a href="<?php echo e(route('administradores')); ?>" class="block py-2 px-4 btn-bg-mine flex <?php echo e(Request::is('administradores') ? 'active' : ''); ?> rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class="fas fa-user-lock"></i></span> 
                      <span class="name-link ml-4">Administradores</span>
                    </a>
                  <?php endif; ?>

                  <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('is-root', 'is-admin')): ?>
                    <a href="<?php echo e(route('settings')); ?>" class="block py-2 px-4 btn-bg-mine flex <?php echo e(Request::is('settings') ? 'active' : ''); ?> rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class="bx bx2 bx-wrench"></i></span> 
                      <span class="name-link ml-4">Configuración</span>
                    </a>
                  <?php endif; ?>

                </nav>

                
                
                <div class="absolute flex bottom-copyright">
                  <div class="block w-full items-center justify-center">
                    <span class="hagoweb-powered">@ Copyright <span class="applinet" href=""></span> 2022</span>
                  </div>
                  <div class="block w-full items-center justify-center">
                    <span class="hagoweb-powered">Powered by <a class="applinet" href="https://www.hagoweb.es">Hagoweb</a></span>
                  </div>
                </div>

              
              </div>

              
              <div class="flex-1 p-0 right-admin-content">

                
                <?php
if (! isset($_instance)) {
    $html = \Livewire\Livewire::mount('navigation-menu')->html();
} elseif ($_instance->childHasBeenRendered('FAGsO1S')) {
    $componentId = $_instance->getRenderedChildComponentId('FAGsO1S');
    $componentTag = $_instance->getRenderedChildComponentTagName('FAGsO1S');
    $html = \Livewire\Livewire::dummyMount($componentId, $componentTag);
    $_instance->preserveRenderedChild('FAGsO1S');
} else {
    $response = \Livewire\Livewire::mount('navigation-menu');
    $html = $response->html();
    $_instance->logRenderedChild('FAGsO1S', $response->id(), \Livewire\Livewire::getRootElementTagName($html));
}
echo $html;
?>

                <div class="py-4 px-4">
                  <?php echo $__env->yieldContent('section'); ?>
                </div>
              </div>
            </div>
        </div>
    </div>


    <script>

    // Will be true if Bootstrap 3-4 is loaded, false if Bootstrap 2 or no Bootstrap
    // var bootstrap_enabled = (typeof $().emulateTransitionEnd == 'function');
    // console.log('bootstrap_enabled');

    function docReady(fn) {
        // see if DOM is already available
        if (document.readyState === "complete" || document.readyState === "interactive") {
            // call on next available tick
            setTimeout(fn, 1);
        } else {
            document.addEventListener("DOMContentLoaded", fn);
        }
    }

    docReady(function() {

      // ALERTIFY OPTIONS
      // override defaults
      alertify.defaults.transition = "slide";
      alertify.defaults.theme.input = "form-control";
      alertify.defaults.theme.ok = "btn btn-success";
      alertify.defaults.theme.cancel = "btn btn-secondary";

      // TOASTR OPTIONS START

      toastr.options = {
          'closeButton': true,
          'debug': false,
          'newestOnTop': false,
          'progressBar': true,
          // 'positionClass': 'toast-top-right',
          'positionClass': 'toast-bottom-full-width',
          'preventDuplicates': false,
          'showDuration': '2500',
          'hideDuration': '1000',
          'timeOut': '10000',
          'extendedTimeOut': '1000',
          'showEasing': 'swing',
          'hideEasing': 'linear',
          'showMethod': 'fadeIn',
          'hideMethod': 'fadeOut',
      };

      tinymce.init({
        selector: 'textarea.tinymce-editor',
        height: 300,
        menubar: false,
        plugins: [
            'advlist autolink lists link image charmap print preview anchor',
            'searchreplace visualblocks code fullscreen',
            'insertdatetime media table paste code help wordcount', 'image'
        ],
        toolbar: 'undo redo | formatselect | ' +
            'bold italic backcolor | alignleft aligncenter ' +
            'alignright alignjustify | bullist numlist outdent indent | ' +
            'removeformat | help',
        content_css: '//www.tiny.cloud/css/codepen.min.css'
      });

      <?php if(isset($message)): ?>
        var message = '<?php echo e($message->message ?? ''); ?>';
        var title = '<?php echo e($message->title ?? ''); ?>';
        var type = '<?php echo e($message->type  ?? ''); ?>';

        showText(message, title, type);
      <?php elseif($errors->any()): ?>
        <?php
          $message = json_decode($errors->first());
        ?>

        var message = '<?php echo e($message->message ?? ''); ?>';
        var title = '<?php echo e($message->title ?? ''); ?>';
        var type = '<?php echo e($message->type  ?? ''); ?>';

        showText(message, title, type);
      <?php endif; ?>;

      $(".table-here").fancyTable({
          sortColumn: 0,
          globalSearch: true,
          perPage: 25,
          pagination: true,
          paginationClass : 'btn btn-secundary',
          paginationClassActive : 'btn btn-primary',
          inputPlaceholder: 'Buscar...',
          inputStyle: 'color:rgb(106, 136, 180);font-size:0.8rem;',
          onUpdate: function() {
            // $('.toggleable').hide('fast');
          }
      });

    });

    function showText(message, title=null, type) {
      if(type == 'success') {
        toastr.success(message, title);
      } else if (type == 'warning') {
        toastr.warning(message, title);
      } else if (type == 'error') {
        toastr.error(message, title);
      } else if (type == 'info') {
        toastr.info(message, title);
      }
    }

    function openNav() {
      $(".sidebar-admin").css("width", "14%");
      $(".sidebar-admin").css("opacity", "1");
      $(".right-admin-content").css("margin-left", "0px");
      $(".right-admin-content").css("max-width", "86%");
      $(".bg-sidebar-top").css("max-width", "86%");
    }
    
    function closeNav() {
      $(".sidebar-admin").css("width", "0px");
      $(".sidebar-admin").css("opacity", "0");
      $(".right-admin-content").css("margin-left", "-14%");
      $(".right-admin-content").css("max-width", "100%");
      $(".bg-sidebar-top").css("max-width", "100%");
    }


    </script>

    <script>

    </script>

 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH C:\wamp64\www\proyectos\new-default\httpdocs\resources\views/dashboard.blade.php ENDPATH**/ ?>