<?php
  // MAIN URLS
  $items_url = env('ADMIN_COMPONENTS_MENU');
  $tables_url = env('ADMIN_COMPONENTS_TABLES');
  $cards_url = env('ADMIN_COMPONENTS_CARDS');
?>

<?php $__env->startSection('section'); ?>

  <div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-8 same-height-col">
          <h1><?php echo e($titulo); ?></h1>
          <div class="subtitle">
            <p><?php echo e($subtitulo); ?></p>
          </div>
        </div>
        <div class="col-12 col-md-4 same-height-col text-right text-left-mobile">
          <?php echo $__env->make("{$items_url}.menu-actions", [
            'section' => 'configuraciones-web'
          ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        
        </div>
      </div>
    </div>

    
    
    

    <div class="container">
      
      <ul class="nav nav-pills tabs-perso" style="margin-bottom:40px;">
        <li class="nav-item">
          <a class="nav-link active" id="home-tab" data-bs-toggle="tab" 
          data-bs-target="#home" type="button" role="tab" aria-controls="home" aria-selected="true">
            Home
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link"id="profile-tab" data-bs-toggle="tab" 
          data-bs-target="#profile" type="button" role="tab" aria-controls="profile" aria-selected="false">
          Menu 1
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" id="contact-tab" data-bs-toggle="tab" 
          data-bs-target="#contact" type="button" role="tab" aria-controls="contact" aria-selected="false">
          Menu 2
          </a>
        </li>
      </ul>
      
      
      <div class="tab-content mt-40">
        <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
          
          <?php echo $__env->make("{$cards_url}.website.home.banner", [
            'titulo' => 'banner',
            'sliders' => $sliders
          ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

          <?php echo $__env->make("{$cards_url}.website.home.destacados", [
            'titulo' => 'Noticias Destacadas',
            'sliders' => $sliders
          ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div> <!-- END TAB 1-->

        <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
          <?php echo $__env->make("{$cards_url}.website.home.banner", [
            'titulo' => 'Destacados'
          ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
        <div class="tab-pane fade" id="contact" role="tabpanel" aria-labelledby="contact-tab">
          <?php echo $__env->make("{$cards_url}.website.home.banner", [
            'titulo' => 'Asecohe'
          ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
    </div>
    




</div>
<?php $__env->stopSection(); ?>

<script src="/js/admin/helper.js"></script>
<script src="/js/admin/website.js"></script>


<script>
window.onload = function() {
  $('[data-toggle=tooltip]').tooltip()
};
</script>

<?php echo $__env->make('dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\proyectos\new-default\httpdocs\resources\views/admin/sections/website.blade.php ENDPATH**/ ?>