
<?php
  $agent = session('agent');
  if(isset($usuario)) : 
    $selected_role = $usuario->id_role; 
  else : 
    $selected_role = 0; 
  endif
?>
  
<div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-10 same-height-col">
          <h1><?php echo $titulo; ?></h1>
          <div class="subtitle">
            <p><?php echo e($subtitulo); ?></p>
          </div>
        </div>
        <div class="col-12 col-md-2 same-height-col text-right">
          
        </div>
      </div>
    </div>


    
    
    

    <div class="col-md-12">

      <div class="card">
        <div class="card-header">
          <span class="titulo">
            <?php if(isset($usuario)): ?>
              <?php echo e($usuario->name); ?>

            <?php else: ?>
              Crear nuevo usuario
            <?php endif; ?>
          </span>
        </div>

        <div class="card-body">

          <div class="row">
            <div class="col-md-12" id="floating-label">
              <input class="form-control" id="user_id" name="user_id" type="hidden" placeholder="id" <?php if(isset($usuario)): ?> value="<?php echo e($usuario->id); ?>"<?php endif; ?>/>
                <div class="creator-wrapper">
                  <h3>Datos del usuario</h3>
                </div>
                <div class="creator-wrapper">
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Nombre</label>
                        <?php isset($usuario) ? $value = $usuario->name : $value = ''; ?>
                        <?php if (isset($component)) { $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Input::class, ['class' => 'form-control','id' => 'user_name','name' => 'user_name','type' => 'text','placeholder' => 'Nombre','value' => $value]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7)): ?>
<?php $component = $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7; ?>
<?php unset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7); ?>
<?php endif; ?>
                      </div>
                    </div>

                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Email</label>
                        <?php 
                          if(isset($usuario)) {
                            $value = $usuario->email;
                            $disabled = 'disabled';
                          } else {
                            $value = '';
                            $disabled = '';
                          }
                        ?>
                        <?php if (isset($component)) { $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Input::class, ['class' => 'form-control','id' => 'user_email','name' => 'user_email','type' => 'email','placeholder' => 'E-mail','value' => $value,'raw' => $disabled.' required']); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7)): ?>
<?php $component = $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7; ?>
<?php unset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7); ?>
<?php endif; ?>
                      </div>
                    </div>

                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Teléfono</label>
                        <?php isset($usuario) ? $value = $usuario->telefono : $value = ''; ?>
                        <?php if (isset($component)) { $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Input::class, ['class' => 'form-control','id' => 'user_phone','name' => 'user_phone','type' => 'text','placeholder' => 'Teléfono','value' => $value]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7)): ?>
<?php $component = $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7; ?>
<?php unset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7); ?>
<?php endif; ?>
                      </div>
                    </div>

                </div>
                <div class="creator-wrapper">
                  <div class="flex4">
                    <div class="form-group">
                      <label class="form-select-label">Role</label>
                      <?php if (isset($component)) { $__componentOriginal9664ac210be45add4be058f3177c16028511e71a = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Select::class, ['options' => $roles,'id' => 'user_role','name' => 'user_role','class' => 'full-width tipos-all','selectedvalue' => $selected_role,'empty' => false]); ?>
<?php $component->withName('select'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9664ac210be45add4be058f3177c16028511e71a)): ?>
<?php $component = $__componentOriginal9664ac210be45add4be058f3177c16028511e71a; ?>
<?php unset($__componentOriginal9664ac210be45add4be058f3177c16028511e71a); ?>
<?php endif; ?>
                    </div>
                  </div>
                  
                  <div class="flex4">
                  </div>

                  <div class="flex4">
                  </div>
                </div>

                <div class="creator-wrapper">
                  <h3>Seguridad</h3>
                </div>
                
                <?php if(!isset($usuario)): ?>
                  <div class="creator-wrapper">             
                    <div class="flex4">
                      <div class="form-group">
                        <div class="form-check">
                        <?php if (isset($component)) { $__componentOriginal65b96498117216404ff6afa327e63156e5f49168 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Checkbox::class, ['class' => 'form-check-input','id' => 'primerinicio','name' => 'primerinicio','checked' => true]); ?>
<?php $component->withName('checkbox'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal65b96498117216404ff6afa327e63156e5f49168)): ?>
<?php $component = $__componentOriginal65b96498117216404ff6afa327e63156e5f49168; ?>
<?php unset($__componentOriginal65b96498117216404ff6afa327e63156e5f49168); ?>
<?php endif; ?>
                          <label class="form-check-label" for="primerinicio">
                            Introducir en primer inicio
                          </label>
                        </div> 
                      </div>
                    </div>
                  </div>

                  <div class="creator-wrapper password-div hidden-div">             
                    <div class="flex5">
                      <div class="form-group">
                        <label class="control-label">Contraseña</label>
                        <?php if (isset($component)) { $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Input::class, ['class' => 'form-control','id' => 'pass','name' => 'pass','type' => 'password','placeholder' => 'Contraseña']); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7)): ?>
<?php $component = $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7; ?>
<?php unset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7); ?>
<?php endif; ?>
                      </div>
                    </div>
                    
                    <div class="flex5">
                      <div class="form-group">
                        <label class="control-label">Contraseña confirmación</label>
                        <?php if (isset($component)) { $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Input::class, ['class' => 'form-control','id' => 'pass_confirmation','name' => 'pass_confirmation','type' => 'password','placeholder' => 'Contraseña confirmación']); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7)): ?>
<?php $component = $__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7; ?>
<?php unset($__componentOriginal11c02d5af8eef3b9ca8b54c54983d5cb581e68d7); ?>
<?php endif; ?>
                      </div>
                    </div>
                    <div class="flex4">
                      <div class="display-errors">
                        
                      </div>
                    </div>
                  </div>

                
                <?php else: ?>
                  <div class="creator-wrapper">             
                    <div class="flex4">
                      <div class="form-group">
                        <div class="form-check">
                        <?php if (isset($component)) { $__componentOriginal65b96498117216404ff6afa327e63156e5f49168 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Checkbox::class, ['class' => 'form-check-input','id' => 'next_login','name' => 'next_login','checked' => false]); ?>
<?php $component->withName('checkbox'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal65b96498117216404ff6afa327e63156e5f49168)): ?>
<?php $component = $__componentOriginal65b96498117216404ff6afa327e63156e5f49168; ?>
<?php unset($__componentOriginal65b96498117216404ff6afa327e63156e5f49168); ?>
<?php endif; ?>
                          <label class="form-check-label" for="next_login">
                            Cambiar en próximo inicio
                          </label>
                        </div> 
                      </div>
                    </div>
                  </div>                
                <?php endif; ?>
                <br>

            </div>
          </div>

        </div> <!-- CARD BODY -->

        <div class="card-footer">
                  <?php if(isset($usuario)): ?>
                    <span class="btn btn-success btn-flexi sender" onclick="guardarUsuario();">
                      <i class='bx bx2 bxs-save bx-flip-horizontal' ></i> Guardar Usuario
                    </span>
                  <?php else: ?>
                    <span class="btn btn-success btn-flexi sender" onclick="crearUsuario();">
                      <i class='bx bx2 bxs-user-plus bx-flip-horizontal'></i> Crear Usuario
                    </span>
                  <?php endif; ?>
        </div>
      </div>

    </div>

  </div>
<?php /**PATH C:\wamp64\www\proyectos\new-default\httpdocs\resources\views/admin/modals/new-edit-user.blade.php ENDPATH**/ ?>