<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use App\Models\User;

use File;


class CategoriaNoticias extends Model
{
    use HasFactory;

    //  Table
    protected $table = 'categorias_noticias';


        // Primary ID
        // protected $primaryKey = '';

        public function __construct()
        {
          // $this->agent = new Agent();
          // $this->config = Configuracion::find(1);
        }

        // public function config() {
        //   return $this->hasOne('App\Models\ConfigInstalacion', 'IDCLI', 'IDCLI');
        //   // return $this->hasOne('App\Models\ClienteConfig', 'COD', 'CODCLI');
        // }

        public function get_imagen_url() {
          return '/storage/imagenes/categorias-noticias/'.$this->imagen;
        }

        public function get_public_imagen() {
          return '/public/imagenes/categorias-noticias/'.$this->imagen;
        }

        public function del_imagen() {
          // dd(Instalacion::ByImg($this->imagen)->get());
          if(count(CategoriaInstalaciones::ByImg()->get()) <= 1) :
            if(File::exists(public_path($this->get_imagen_url()))){
                File::delete(public_path($this->get_imagen_url()));
                return true;
            }else{
                dd('File does not exists.');
            }
          else :
            return false;
          endif;
        }

        public function noticias() {
          return $this->hasMany('App\Models\Noticia', 'id_categoria', 'id');
        }

        public function get_estado() {
          $estado = (object)[];

          if($this->activo) :
            $estado->color = 'rgb(174, 209, 158)';
            $estado->nombre = 'activo';
          else :
            $estado->color = 'rgb(209, 159, 158)';
            $estado->nombre = 'inactivo';
          endif;

          return $estado;
        }

        public function change_estado() {
          if($this->activo) :
            $this->activo = 0;
          else :
            $this->activo = 1;
          endif;
        }

        /*
            ********************
              SCOPES
            ********************
        */

        public function scopeActivas($query) {
          return $query->where('activo', '=', 1);
        }

        public function scopeById($query, $id) {
          return $query->find($id);
        }

        public function scopeByImg($query) {
          return $query->where('imagen', '=', $this->imagen);
        }

}
