<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use App\Models\User;

class Configuracion extends Model
{
    // use HasFactory;

    //  Table
    protected $table = 'configuraciones';

    // Primary ID
    // protected $primaryKey = '';


    // public function config() {
    //   return $this->hasOne('App\Models\ConfigInstalacion', 'IDCLI', 'IDCLI');
    //   // return $this->hasOne('App\Models\ClienteConfig', 'COD', 'CODCLI');
    // }

    // Recogemos el directorio donde se guardan las imagenes desde la BBDD
    public function get_dir_imagenes_noticias($file) {
      if(empty($file)) :
        return $this->imagenes_dir_noticias.'/default.jpg';
      else :
        return $this->imagenes_dir_noticias.'/'.$file;
      endif;
    }
    public function get_dir_imagenes_instalaciones($file) {
      if(empty($file)) :
        return $this->imagenes_dir_instalaciones.'/default.jpg';
      else :
        return $this->imagenes_dir_instalaciones.'/'.$file;
      endif;
    }
    public function get_dir_imagenes_categorias($file) {
      if(empty($file)) :
        return $this->imagenes_dir_categorias.'/default.jpg';
      else :
        return $this->imagenes_dir_categorias.'/'.$file;
      endif;
    }

    public function get_background_noticias() {
      return $this->imagenes_dir_noticias.'/'.$this->background_home_noticias;
    }

    public function get_background_reservar_instalaciones() {
      return $this->imagenes_dir_noticias.'/'.$this->background_home_noticias;
    }

    public function get_time_apertura_reservas() {
      return $this->time_apertura_reservas;
    }

    public function get_vista($page) {
      switch($page) :
        case 'instalaciones';
          $back = $this->vista_instalaciones;
          break;
      endswitch;

      return $back;
    }

    public function set_vista($page, $value) {
      switch($page) :
        case 'instalaciones';
          $this->vista_instalaciones = $value;
          break;
      endswitch;

      $this->save();
    }


    /*
        ********************
          SCOPES
        ********************
    */

    // public function scopeForAgencia($query, $agencia_id) {
    //   return $query->where('CODAGE', '=', $agencia_id);
    // }
    // public function scopeGenerales($query) {
    //   return $query->with(
    //     'id,
    //     imagenes_dir_noticias,
    //     get_dir_imagenes'
    //   );
    // }

}
