<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserInstalaciones extends Model
{
    use HasFactory;

    //  Table
    protected $table = 'user_instalaciones';

    // Primary ID
    // protected $primaryKey = '';

    /*
        ********************
          SCOPES
        ********************
    */

    // public function scopeForAgencia($query, $agencia_id) {
    //   return $query->where('CODAGE', '=', $agencia_id);
    // }

    public function scopeForUser($query, $u) {
      return $query->where('user_id', '=', $u);
    }

    public function scopeForInstalacion($query, $ins) {
      return $query->where('instalacion_id', '=', $ins);
    }

}
