<?php

namespace App\Traits;

use Illuminate\Http\Request;

trait ImageTrait
{
    // IMAGENES
    public function get_dir_imagen()
    {
        return $this->logo_route;
    }
    public function get_dir_admin_imagen()
    {
        return $this->logo_route_admin;
    }
    public function get_imagen()
    {
        return $this->get_dir_imagen().$this->imagen;
    }
    public function get_imagen_admin()
    {
        return $this->get_dir_admin_imagen().$this->imagen;
    }
    public function del_imagen()
    {
        if(count($this::ByImg()->get()) <= 1) :
            if(File::exists(public_path($this->get_imagen_admin()))) {
                File::delete(public_path($this->get_imagen_admin()));
                return true;
            } else {
                dd('File does not exists.');
            } else :
                return false;
            endif;
    }

    // SCOPE
    public function scopeByImg($query)
    {
        return $query->where('imagen', '=', $this->imagen);
    }
}