<?php

namespace App\View\Components;

use Illuminate\View\Component;

class Input extends Component
{
    /**
     * Create a new component instance.
     *
     * @return void
     */
    
    public $type;
    public $id;
    public $name;
    public $class;
    public $value;
    public $placeholder;
    public $raw;

    public function __construct($type = '', $id = '', $name = '', $class = '', $value = '', $placeholder = '', $raw = '')
    {
        //
        $this->type = $type;
        $this->id = $id;
        $this->name = $name;
        $this->class = $class;
        $this->value = $value;
        $this->placeholder = $placeholder;
        $this->raw = $raw;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('admin.components-views.form.inputs.input');
    }

    public function condicionado($prop, $condicionante) {
        if(property_exists($this, $prop)) {
            if($prop != null && !empty($prop) && $condicionante) {
                return $prop;
            } else {
               
            }
        }

        return false;
    }
}