async function bloquearUsuario(id) {
  await axios.post('/admin/api/bloquear-usuario', {
      // Variables a pasar aqui jQuery -> Controller
      'id' : id,
      })
      .then((response) => {
              // console.log(response);
              // Tratamos la respuesta recogida desde el controlador
              location.reload();
               // Mostramos el mensaje de confirmación de que todo fue bien
          },
          (error) => {
              console.log(error);
          }
  );
}

async function desbloquearUsuario(id) {
  await axios.post('/admin/api/desbloquear-usuario', {
      // Variables a pasar aqui jQuery -> Controller
      'id' : id,
      })
      .then((response) => {
              // console.log(response);
              // Tratamos la respuesta recogida desde el controlador
              location.reload();
               // Mostramos el mensaje de confirmación de que todo fue bien
          },
          (error) => {
              console.log(error);
          }
  );
}

async function pausarUsuario(id) {
  await axios.post('/admin/api/pausar-usuario', {
      // Variables a pasar aqui jQuery -> Controller
      'id' : id,
      })
      .then((response) => {
              // console.log(response);
              // Tratamos la respuesta recogida desde el controlador
              location.reload();
               // Mostramos el mensaje de confirmación de que todo fue bien
          },
          (error) => {
              console.log(error);
          }
  );
}

function openUsuarioNuevo() {
  let name = 'open-new-usuario';
  let data = {
    'titulo': "<i class='bx bx2 bxs-color'></i>Crear un nuevo usuario"
  };
  alertify.ajaxAlertMyHome('get_modal', name, data);
  void (0);
}

function openUsuarioEdit(userId) {
  let name = 'open-edit-usuario';
  let data = {
    'titulo': "<i class='bx bx2 bxs-color'></i>Editar usuario",
    'user_id' : userId
  };
  alertify.ajaxAlertMyHome('get_modal', name, data);
  void (0);
}

async function guardarUsuario( ) {
  await axios.post('/admin/api/guardar-usuario', {
    // Variables a pasar aqui jQuery -> Controller
    'user_id': id,
    'user_name': $().val(),
    'user_email': $().val(),
    'user_phone': $().val(),
    'user_role': $().val(),
    'next': $().val()
  })
    .then((response) => {
      // console.log(response);
      // Tratamos la respuesta recogida desde el controlador
      location.reload();
      // Mostramos el mensaje de confirmación de que todo fue bien
    },
      (error) => {
        console.log(error);
      }
    );
}

async function crearUsuario( ) {
  let data = {
    'user_name': $('#user_name').val(),
    'user_email': $('#user_email').val(),
    'user_phone': $('#user_phone').val(),
    'user_role': $('#user_role option:selected').val(),
    'first': $('#primerinicio').is(":checked"),
    'pass': $('#primerinicio').is(":checked") == true ? null : $('#pass').val(),
    'pass_confirmation': $('#primerinicio').is(":checked") == true ? null : $('#pass_confirmation').val()
  }

  if(!verifyForm('crear_usuario', data)) {
    return;
  }

  await axios.post('/admin/api/crear-usuario', {
    // Variables a pasar aqui jQuery -> Controller
    data
  })
  .then((response) => {
    console.log(response);
    // Tratamos la respuesta recogida desde el controlador
    if(!response.data.success) {

    }
    location.reload();
    // Mostramos el mensaje de confirmación de que todo fue bien
  },
  (error) => {
    console.log(error);
  }
  );
}

async function verifyForm(tipo, data) {
  let passed = true;
  if(tipo == 'crear_usuario') {
    if(data.user_name == '') {
      showText("Hay que rellenar el <strong>nombre</strong> obligatoriamente.", "", "error");
      passed = false;
    }
    if(data.user_email == '') {
      showText("Hay que rellenar el <strong>email</strong> obligatoriamente.", "", "error");
      passed = false;
    }
  }
  return passed;
}