async function bloquearFrame(id) {
  await axios.post('/admin/api/bloquear-frame', {
      // Variables a pasar aqui jQuery -> Controller
      'id' : id,
      })
      .then((response) => {
              // console.log(response);
              // Tratamos la respuesta recogida desde el controlador
              location.reload();
               // Mostramos el mensaje de confirmación de que todo fue bien
          },
          (error) => {
              console.log(error);
          }
  );
}

async function desbloquearFrame(id) {
  await axios.post('/admin/api/desbloquear-frame', {
      // Variables a pasar aqui jQuery -> Controller
      'id' : id,
      })
      .then((response) => {
              // console.log(response);
              // Tratamos la respuesta recogida desde el controlador
              location.reload();
               // Mostramos el mensaje de confirmación de que todo fue bien
          },
          (error) => {
              console.log(error);
          }
  );
}

async function pausarFrame(id) {
  await axios.post('/admin/api/pausar-frame', {
      // Variables a pasar aqui jQuery -> Controller
      'id' : id,
      })
      .then((response) => {
              // console.log(response);
              // Tratamos la respuesta recogida desde el controlador
              location.reload();
               // Mostramos el mensaje de confirmación de que todo fue bien
          },
          (error) => {
              console.log(error);
          }
  );
}

function openFrameNuevo() {
  let name = 'open-new-frame';
  let data = {
    'titulo': "<i class='bx bx-plus'></i> Crear un nuevo frame"
  };
  alertify.ajaxAlertMyHome('get_modal', name, data);
  void (0);
}

function openFrameEdit(frameId) {
  let name = 'open-edit-frame';
  let data = {
    'titulo': "<i class='bx bxs-edit-alt'></i> Edición de Frame",
    'frame_id' : frameId
  };
  alertify.ajaxAlertMyHome('get_modal', name, data);
  void (0);
}

async function saveFrame() {
  await axios.post('/admin/api/guardar-frame', {
    // Variables a pasar aqui jQuery -> Controller
    'id' : $('#frame_id').val(),
    'data' : {
      'title' : $('#frame_title').val(),
      'subtitle' : $('#frame_subtitle').val(),
      'button_text' : $('#frame_button_text').val(),
      'button_link' : $('#frame_button_link').val(),
      'status' : $('#frame_status').is(":checked"),
      'short_desc' : $('.text-editor.t1')[0].firstChild.innerHTML
    }
  })
    .then((response) => {
          // Tratamos la respuesta recogida desde el controlador
          if(response.data.success) {
            if($('input#image').val() != '') {
              subir_archivo('image', 'slider', response.data.id);
            }
          }
          // Mostramos el mensaje de confirmación de que todo fue bien
          alertify.myAlert().destroy();
          showText('Se guardo correctamente', 'Exito', 'success');
          setTimeout(() => {
              location.reload();
          }, 2200);
        },
        (error) => {
            console.log(error);
        }
);
}

async function subir_archivo(file_sel, url, id) {
  let file = document.getElementById(file_sel).files[0];
  let data = new FormData();

  data.append('archivo', file, file.name);
  data.append('url', url);
  data.append('id_obj', id);

  let settings = {
    headers: { 'content-type': 'multipart/form-data' }
  };

  await axios.post('/admin/api/upload', data, settings)
    .then(response => {
      // if(url == 'asociado') {
      //   $('.show-logo').html('<img id="logo-loaded" src="'+ response.data.url + response.data.filename + '"/>');
      // } else if(url == 'categoria-asociado') {
      
      // }
    }).catch(response => {
      // console.log(response);
      // return false;
    });
}

function irA(url) {
  window.location.href = '/admin/'+url;
}