@php
  $options = $attributes['options'];          //Array de value => texto para cada option
  $id = $attributes['id'];                    //id (Selector) del select
  $name = $attributes['name'];                //name (selector) del select
  $class = $attributes['class'];              //clase (Selector) del select
  $selected_value = $attributes['selectedvalue'];  //Value selected now
  $selected_multiple = $attributes['selectedmultiple']; //Values selected now
  $show_value = $attributes['show_value'];    //Show Values before texto
  $multiple = $attributes['multiple'];        //string :: must be multiple or empty
  $search_text = $attributes['searchtext'];       //Show Values before texto
@endphp

<select id="{{$id}}" class="{{$class}}" name="{{$name}}" {{$multiple}}>
  {{-- <option value="0" @if($selected_value == 0) selected @endif>Vacio</option> --}}
  @if(!empty($search_text))
    <option value="" disabled>{{$search_text}}</option>
  @else
    <option value="" disabled>Buscar..</option>
  @endif
  @foreach($options as $option)
    <option 
      value="{{$option->value}}" 
      text="{{ $option->texto }}" 
      @if(!empty($selected_value) && $selected_value == $option->value) selected @endif
      @if(!empty($selected_multiple) && in_array($option->value, $selected_multiple)) selected @endif
    >
      
      @php $show_value ? $option->value.' '.$option->conector_extras : '' @endphp
      {{ $option->texto }} 
      @php !empty($option->extra1) ? ' '.$option->conector_extras.' '.$option->extra1 : '' @endphp  
      @php !empty($option->extra2) ? ' '.$option->conector_extras.' '.$option->extra2 : '' @endphp
    
    </option>
  @endforeach
</select>