<ul class="wrapper">
  {{-- USUARIOS --}}
  @if($section == 'usuarios')
    @canany(['is-root', 'is-admin', 'is-gerente'])
      @include("{$items_url}.buttons.button", [
        'li_class' => 'icon view',
        'tooltip_msg' => 'Añadir usuario',
        'span_class' => 'is-link',
        'onclick' => "openUsuarioNuevo()",
        'text' => "<i class='bx bx2 bx-list-plus'></i>"
      ])
    @endcanany
  {{-- ASOCIADOS --}}
  @elseif($section == 'asociados')
    @canany(['is-root', 'is-admin', 'is-gerente'])
      @include("{$items_url}.buttons.button", [
        'li_class' => 'icon view',
        'tooltip_msg' => 'Añadir asociado',
        'span_class' => 'is-link',
        'onclick' => "openAsociadoNuevo()",
        'text' => "<i class='bx bx2 bx-list-plus'></i>"
      ])
    @endcanany
      @include("{$items_url}.buttons.button", [
        'li_class' => 'icon view',
        'tooltip_msg' => 'Categorias',
        'span_class' => 'is-link',
        'onclick' => "go('categorias-asociados')",
        'text' => "<i class='bx bx2 bx-category'></i>"
      ])
  {{-- CATEGORIA ASOCIADOS --}}
  @elseif($section == 'categorias-asociados')
    @canany(['is-root', 'is-admin', 'is-gerente'])
      @include("{$items_url}.buttons.button", [
        'li_class' => 'icon view',
        'tooltip_msg' => 'Añadir categoria',
        'span_class' => 'is-link',
        'onclick' => "openCatAsociadoNuevo(false)",
        'text' => "<i class='bx bx2 bx-list-plus'></i>"
      ])
    @endcanany
  {{-- CONFIGURACIONES WEB --}}
  @elseif($section == 'configuraciones-web-banner')
    @canany(['is-root', 'is-admin', 'is-gerente'])
      @include("{$items_url}.buttons.button", [
        'li_class' => 'icon view',
        'tooltip_msg' => 'Añadir slider',
        'span_class' => 'is-link',
        'onclick' => "openFrameNuevo(false)",
        'text' => "<i class='bx bx2 bx-list-plus'></i>"
      ])
      {{-- @include("{$items_url}.buttons.button", [
        'li_class' => 'icon view',
        'tooltip_msg' => 'Guardar orden',
        'span_class' => 'is-link',
        'onclick' => "saveOrder()",
        'text' => "<i class='bx bxs-save'></i><i class='bx bx-list-ol' ></i>"
      ]) --}}
    @endcanany
    {{-- NOTICIAS --}}
    @elseif($section == 'configuraciones-web-destacados')
    @canany(['is-root', 'is-admin', 'is-gerente'])
      @include("{$items_url}.buttons.button", [
        'li_class' => 'icon view',
        'tooltip_msg' => 'Ver noticias',
        'span_class' => 'is-link',
        'onclick' => "irA('noticias')",
        'text' => "<i class='bx bx2 bx-news'></i>"
      ])
    @endcanany
  @endif
</ul>