<div class="modal-container">
  <div class="admin-main-title">

    <div class="row same-height">
      <div class="col-12 col-md-12 same-height-col">
        <h1>{{ $titulo }}</h1>
        <div class="subtitle">
          <p>{{$subtitulo}}</p>
        </div>
      </div>
    </div>

  </div>

  {{-- CUERPO --}}

  <div class="col-md-12">
      <div class="text">
        <b>instalaciones disponibles:</b><br><br>
        <table id="table-here-nores" class="table table-hover no-footer instalaciones evenor" role="grid">

          <thead class="thead-dark">
            <tr role="row" class="">
              <th scope="col" style="width:3%">id</th>
              <th scope="col" style="width:15%" class="left">Grupo</th>
              <th scope="col" style="width:auto" class="left">Nombre</th>
              {{-- <th scope="col" style="width:auto" class="left no-click" >Descripción</th> --}}
            </tr>
          </thead>

          <tbody>
          @if(count($instalaciones) > 0 )
            @foreach($instalaciones as $index => $ins)
                <tr class="div-reservas" onclick="seleccionarInstalacion('{{$ins->id}}')">

                  <td scope="row" data-label="id">
                    <span class="small-text">{{ $ins->id }} </span>
                  </td>
                  <td class="left" data-label="categoria">
                    <span class="small-text">@if($ins->categoria()!=null){{ $ins->categoria->nombre }}@else @endif </span>
                  </td>
                  <td class="left" data-label="nombre">
                    <span class="small-text">{{ $ins->nombre }} </span>
                  </td>

                  {{-- <td class="left" data-label="descripcion">
                    <span class="small-text">{{ $ins->descripcion_corta }} </span>
                  </td> --}}

                </tr>
              @endforeach

            @else
              <tr><td colspan="7">No hay instalaciones activas que mostrar aún</td></tr>
            @endif

            </tbody>

          </table>

            <div class="clear"></div>
            <br>
      </div>


  </div>
</div>
