@php

@endphp
@extends('dashboard')


@section('section')

  <div class="admin-container" id="test">

    <div class="admin-main-title">

      <div class="row same-height">
        <div class="col-11 col-md-10 same-height-col">
          <h1>{{ $categoria->nombre }}</h1>
          <div class="subtitle">
            <p>{{$categoria->descripcion }}</p>
          </div>
        </div>
        <div class="col-1 col-md-2 same-height-col text-right">
          <x-go-back></x-go-back>
        </div>
      </div>
    </div>

    {{-- DATOS DEL EQUIPÔ --}}

    <div class="col-md-12 categorias">

      @foreach($instalaciones as $instalacion)
        <div class="categoria-{{$vista}} flex" style="background-image:url({{$instalacion->get_imagen()}});" onclick="openInstalacion({{$instalacion->id}})">
          <div class="left-side">

          </div>
          <div class="right-side">
            <div class="creator-wrapper cat-titulo">
              <span>{{ $instalacion->nombre }}</span>
            </div>
            <div class="separator-10"></div>
            <div class="creator-wrapper cat-desc">
              <p>{{ $instalacion->descripcion_corta }}</p>
            </div>

          </div>
        </div>
      @endforeach

    </div>

</div>
@endsection

<script src="/js/admin/helper.js"></script>


<script>

window.onload = function() {
  $('[data-toggle=tooltip]').tooltip();

};

</script>
