@php
  // MAIN URLS
  $items_url = env('ADMIN_COMPONENTS_MENU');
  $tables_url = env('ADMIN_COMPONENTS_TABLES');
@endphp
@extends('dashboard')
@section('section')

  <div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-8 same-height-col">
          <h1>{{ $titulo }}</h1>
          <div class="subtitle">
            <p>{{$subtitulo}}</p>
          </div>
        </div>
        <div class="col-12 col-md-4 same-height-col text-right text-left-mobile">
            @include("{$items_url}.menu-actions", [
              'section' => 'usuarios'
            ])
            {{-- @include("{$items_url}.menu-filters") --}}
        </div>
      </div>
    </div>

    {{-- **************************************** --}}
    {{-- LISTADO USUARIOS ************ --}}
    {{-- **************************************** --}}

    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <span class="titulo">Listado de usuarios del sistema</span>
        </div>
        <div class="card-body">
          @include("{$tables_url}.usuarios-table")
        </div> <!-- CARD BODY -->
        <div class="card-footer">
          
        </div>
      </div>
    </div>
  </div>

@endsection

<script src="/js/admin/helper.js"></script>
<script src="/js/admin/usuario.js"></script>