@php


@endphp
<div class="card noticias jornada">
    <div class="card-header">

      LIGA REGULAR - Jornada {{ $jornadas->actual->number_of }}

    </div>

    <div class="card-body">


      <div class="jornadas-menu">
        @for($i = 1; $i <= 18; $i++)
          <div class="cont-btn-jornada" onclick="verJornadaWeb('{{ $i }}', {{ $is_desktop }})">
            <span class="btn-jornada">{{ $i }}</span>
          </div>
        @endfor
        <div style="clear:both"></div>
      </div>

      <div class="row">


          <div class="admin-container" id="test">

            <div class="admin-main-title">
              {{-- <h1>Jornada Actual</h1> --}}
              <div class="subtitle">
                <p> Partidos de la jornada
                  <span class="destacado-name">{{ $jornadas->actual->number_of }}</span>
                </p>
                <span class="destacado-name">{{ $jornadas->actual->Description }}</span>

              </div>
            </div>

            <div class="row">
              <div class="col-lg-12">
                @foreach($jornadas->actual->matches as $match)
                  @if($is_desktop)
                    <div class="row mb-4 chars1 row-jornada" onclick="verPartidoLiga({{$match->id}});">

                      <div class="col-md-1 text-left escudo-jornada">
                        <img src="{{ $match->team_local->crest ?? '' }}" alt="escudo-{{$match->team_local->short_name}}" width="100%">
                      </div>

                      <div class="col-md-10 text-center">

                        <div class="row text-center text-justify time-jornada">
                          @if($match->date)
                            <div class="col-md-12 text-center">
                              <i class="far fa-calendar-alt"></i> {{ $match->getDate() ?? ' ' }} <i class="far fa-clock"></i> {{ $match->getTime() ?? ' ' }}
                            </div>
                          @else
                            <div class="col-md-12 text-center">
                              {{ ' ' }}
                            </div>
                          @endif

                        </div>

                        <div class="row text-center text-justify time-jornada">

                          <div class="col-md-4 text-right small-chars9 text-dark1">
                            {{ $match->team_local->short_name ?? ''}}
                          </div>
                          <div class="col-md-4 text-center score-jornada text-dark2">
                            @if($match->status == 'abierto')
                              <span class="resaltado">{{ ' ' }} - {{ ' ' }}</span>
                            @else
                              <span class="resaltado">{{ $match->team_one_goals ?? '' }} - {{ $match->team_two_goals ?? ''}}</span> &nbsp;
                            @endif
                          </div>
                          <div class="col-md-4 text-left small-chars9 text-dark1">
                            {{ $match->team_visitant->short_name ?? ''}}
                          </div>

                        </div>

                      </div>
                      <div class="col-md-1 text-right escudo-jornada">
                        <img src="{{ $match->team_visitant->crest ?? '' }}" alt="escudo-{{$match->team_visitant->short_name}}" width="100%">
                      </div>
                    </div>

                  {{-- MOBILE  --}}
                  @else

                    <div class="row teams mb-2 row-jornada" onclick="verPartidoLiga({{$match->id}});">

                    <div class="col-4 col-md-2 order-1 order-md-1">
                      <div class="match-escudo text-center">
                        <img src="{{ $match->team_local->crest }}" width="60%"/>
                      </div>

                      <div class="match-escudo-text small-chars6">
                        {{ $match->team_local->short_name }}
                      </div>
                    </div>

                    <div class="col-4 col-md-8 order-2 order-md-2">

                      <div class="score-text text-center justify-center">

                        <span class="score big-chars4">
                          @if($match->team_one_goals != NULL)
                            {{ $match->team_one_goals }}
                          @else
                            -
                          @endif
                        </span>
                        <span class="guion"> - </span>
                        <span class="score big-chars4">
                          @if($match->team_two_goals != NULL)
                            {{ $match->team_two_goals }}
                          @else
                            -
                          @endif
                        </span>

                      </div>

                      @if($match->date)
                        <div class="col-md-12 text-center small-chars6 score-jornada">
                          <i class="far fa-calendar-alt"></i> {{ $match->getDate() ?? ' ' }} <i class="far fa-clock"></i> {{ $match->getTime() ?? ' ' }}
                        </div>
                      @else
                        <div class="col-md-12 text-center">
                          {{ ' ' }}
                        </div>
                      @endif

                    </div>

                    <div class="col-4 col-md-2 order-3 order-md-3">
                      <div class="match-escudo text-center">
                        <img src="{{ $match->team_visitant->crest }}" width="60%"/>
                      </div>

                      <div class="match-escudo-text small-chars6">
                        {{ $match->team_visitant->short_name }}
                      </div>

                    </div>

                  </div>


                  @endif


                @endforeach
              </div>

            </div>
          </div>

    {{-- END ROW --}}
    </div>

    </div>

    <div class="card-footer bg-transparent">

      <!--
      <div class="row no-margins">

        <div class="col-lg-12 my-btn my-btn-center full-width-btn-red">
          <span class="ver-mas" onclick="app.goTo('news')">ver mas</span>
        </div>
      {{-- END ROW --}}
      </div>
      -->

    </div>

    {{-- END CARD --}}
    </div>
