
<div class="card noticias clasificacion" style="min-width:100%;">

    <div class="card-header">Goleadores de liga</div>

    <div class="card-body">

      <div class="row">

            <div class="admin-main-title">
              <h1></h1>
              <div class="subtitle">
                <p>Hay
                  <span class="destacado-name">{{ count($goleadores) }}</span>
                  goleadores en la liga
                </p>
              </div>
            </div>

            <div class="row full-width">
              <div class="col-md-12">

                @if($is_desktop)
                <div class="table-responsive-md">

                  {{-- <table id="table-clasificacion" class="table table-striped table-responsive"> --}}
                  <table id="table-jugadores" class="table table-hover table-striped table-sm full-width">

                      <thead class="thead-dark">
                        <tr role="row" class="">
                            <th scope="col" style="width:5%"></th>
                            <th scope="col" style="width:5%"></th>
                            <th scope="col" style="width:5%"></th>
                            <th scope="col" style="width:auto" class="text-left">Nombre</th>
                            <th scope="col" style="width:15%" class="text-left">Posición</th>
                            <th scope="col" style="width:5%" class="text-center">Goles</th>
                            <th scope="col" style="width:10%" class="text-center">T. Amar</th>
                            <th scope="col" style="width:10%" class="text-center">T. Roj</th>
                        </tr>
                      </thead>

                    <tbody>
                      @php
                        $order = 1;
                      @endphp
                      @foreach($goleadores as $key => $goal)
                        @if($key<=10)
                          <tr class="" onclick="verFichaJugador({{$goal->player->id }})">
                            <td class="text-center table-bg-green" data-label="dorsal">{{ $goal->player->dorsal }}</td>
                            <td scope="row" data-label="foto" class="text-center"><img src="{{ $goal->player->team->crest }}" alt="foto-{{$goal->player->team->id}}" height="40"></td>
                            <td scope="row" data-label="foto" class="text-center"><img src="{{ $goal->player->picture_profile }}" alt="foto-{{$goal->player->dorsal}}" height="40"></td>
                            <td class="text-left nombre" data-label="Nombre">{{$goal->player->name}} {{$goal->player->surname}}</td>
                            <td class="text-left pos {{$goal->player->position->name}}" data-label="Posicion">{{$goal->player->position->name}}</td>
                            <td class="text-center goles" data-label="Goles">{{ $goal->total }}</td>
                            <td class="text-center" data-label="T. Amarillas">{{ count($goal->player->y_cards())}}</td>
                            <td class="text-center" data-label="T. Rojas">{{ count($goal->player->r_cards())}}</td>
                          </tr>
                        @endif
                        @php
                          $order++;
                        @endphp
                      @endforeach

                    </tbody>

                  </table>

                </div>
              @else
                @foreach($goleadores as $key => $goal)
                  @if($key<=10)
                    <div class="row one-player" onclick="verFichaJugador({{$goal->player->id }})">
                        <div class="col-4">
                          <img src="{{ $goal->player->picture_profile }}" alt="foto-{{$goal->player->dorsal}}" height="128">
                        </div>
                        <div class="col-8">
                            <span class="v-dorsal pos {{ $goal->player->position->name }}">{{$goal->player->dorsal}}</span>
                            <img class="v-team" src="{{ $goal->player->team->crest }}" alt="foto-{{$goal->player->team->id}}" height="60">
                            <div class="p-row">
                              <span class="small v-black">{{$goal->player->name}} {{$goal->player->surname}}</span>
                            </div>
                            <div class="p-row">
                              <span class="">{{$goal->player->position->name }}</span>
                            </div>
                            <div class="p-row">
                              <span class="small v-black"><span class="destacado"><i class="fas fa-futbol"></i></span>{{ $goal->total }}</span>
                            </div>
                            <div class="p-row">
                              <img src="/imagenes/app/yellow_card.png" width="24"/><span class="small v-black">{{ count($goal->player->y_cards()) }}</span>
                            </div>
                            <div class="p-row">
                              <img src="/imagenes/app/red_card.png" width="24"/><span class="small v-black">{{ count($goal->player->r_cards()) }}</span>
                            </div>

                        </div>
                    </div>
                  @endif
                @endforeach
              @endif


              </div>

          </div>

    {{-- END ROW --}}
    </div>

    </div>

    <div class="card-footer bg-transparent">

      <!--
      <div class="row no-margins">

        <div class="col-lg-12 my-btn my-btn-center full-width-btn-red">
          <span class="ver-mas" onclick="app.goTo('news')">ver mas</span>
        </div>
      {{-- END ROW --}}
      </div>
      -->

    </div>

    {{-- END CARD --}}
    </div>
