<?php

// Agent to detect from where is coming
// $agent = new \Jenssegers\Agent\Agent;
// var_dump($noticias);

?>

@extends('layouts.guest')

@section('loader')
  {{-- <loader-activator :time="1000" ></loader-activator> --}}
@endsection

@section('content')
  hello
@endsection


<script>

function docReady(fn) {
    // see if DOM is already available
    if (document.readyState === "complete" || document.readyState === "interactive") {
        // call on next available tick
        setTimeout(fn, 1);
    } else {
        document.addEventListener("DOMContentLoaded", fn);
    }
}

docReady(function() {


    // TOASTR OPTIONS START

    toastr.options = {
        'closeButton': true,
        'debug': false,
        'newestOnTop': false,
        'progressBar': true,
        // 'positionClass': 'toast-top-right',
        'positionClass': 'toast-bottom-full-width',
        'preventDuplicates': false,
        'showDuration': '5000',
        // 'hideDuration': '1000',
        'timeOut': '6000',
        'extendedTimeOut': '1000',
        'showEasing': 'swing',
        'hideEasing': 'linear',
        'showMethod': 'fadeIn',
        'hideMethod': 'fadeOut',
    };


    // // ALERTIFY OPTIONS
    //
    //override defaults
    alertify.defaults.transition = "slide";
    alertify.defaults.theme.input = "form-control";
    alertify.defaults.theme.ok = "btn btn-success";
    alertify.defaults.theme.cancel = "btn btn-secondary";
    alertify.defaults.maintainFocus = false;

    var lastX,lastY;
    alertify.alert().set({
      'onshow':function(){
        lastX = window.scrollX;
        lastY = window.scrollY;
      },
      'onfocus':function(){
        window.scrollTo(lastX, lastY);
      }
    });

// END OF docReady()
});

window.onload = function () {
  if (typeof history.pushState === "function") {
    history.pushState("jibberish", null, null);
    window.onpopstate = function () {
      history.pushState('newjibberish', null, null);
    };
  }
  else {
    var ignoreHashChange = true;
    window.onhashchange = function () {
      if (!ignoreHashChange) {
        ignoreHashChange = true;
        window.location.hash = Math.random();
      }
      else {
        ignoreHashChange = false;
      }
    };
  }
};

function verJugador(player_id) {
  // is in js/alertify/extras.js.
  alertify.ajaxAlertMyHome('ver_jugador', player_id, null);
  // console.log('ajklsdfn');
  void(0);
}

function closeMyModal() {
  alertify.myAlert().close();
}

async function saveComment(match_id) {

          await axios.post('api/sendComment', {
                  match : match_id,
                  sender : $('#name-comment').val(),
                  comment : $('#comment-comment').val()

              })
              .then((response) => {
                      // console.log(response.data.test, ' ', response.data.now);
                      if (response.data.success == true) {

                          toastr.success('El comentario ha sido recibido por nuestro sistema. Será revisado y publicado si no contiene nada ofensivo o malsonante.', 'Su comentario ha sido recibido.');
                          $('#name-comment').val('');
                          $('#comment-comment').val('');

                      } else {

                          toastr.error('No Pudimos eliminar el equipo', 'ALGO FALLO :: NO SE PUDO BORRAR AHORA.');
                          // setTimeout(function(){ goTo('reload'); }, 2000);

                      }
                  },
                  (error) => {
                      console.log(error);
                  }
              );

}

</script>
