@php
  $instalacion = $turno->instalacion;
@endphp
<div id="multi-form" style="">
<div class="container">
    <div class="row d-flex justify-content-center align-items-center">
        <div class="col-12 col-md-8">
            <form id="regForm">

                <input type='hidden' name="has_sub" value="{{$instalacion->has_subdivisiones()}}">
                <input type='hidden' name="nombre_sub" value="{{ $instalacion->nombre_subdivisiones }}">
                <input type='hidden' name="id_turno" value="{{ $turno->id }}">
                <input type='hidden' name="tipo_turno" value="{{ $turno->TIPO }}">

                <div class="profile-card-2 banner-img" style="max-height:140px;">
                  <img src="{{ $instalacion->get_imagen() }}" class="img" height="100%">
                  <div class="profile-name">{{ $instalacion->nombre }}</div>
                  <div class="profile-username">{{ $instalacion->descripcion_corta }}</div>
                </div>

                <h1 id="register">SOLICITUD DE RESERVA</h1>

                <div class="all-steps" id="all-steps">
                  @if($instalacion->has_subdivisiones() == 1)
                    <span class="step"></span>
                  @endif
                  <span class="step"></span>
                </div>

                {{-- {{ $turno->get_fecha()->fecha }} --}}
                @if($instalacion->has_subdivisiones() == 1)
                  <div class="tab">
                        {{-- RADIO BUTTONS --}}
                        <div class="container">

                          <div class="row justify-content-center">

                            <div class="col-12">
                              <p class="mb-4 pb-2">
                                <h6>Seleccione el tipo de {{ $instalacion->nombre_subdivisiones }} : </h6>
                              </p>
                              <br>
                            </div><br>

                            <div class="col-12">
                              {{-- Muestro los diferentes tipos de subdiviones activas que hay --}}
                              @foreach($tipos as $i => $tipo)
                                <input class="checkbox-tools" type="radio" value="{{$tipo->id}}" name="tipo" tipo-sub="{{$tipo->nombre}}" id="tipo-{{$i+1}}" @if($i==0) checked @endif>
                                <label class="for-checkbox-tools" for="tipo-{{$i+1}}">
                                  <i class='uil uil-line-alt'></i>
                                  {{ $tipo->nombre }}
                                </label>
                              @endforeach
                              @foreach($tipos as $i => $tipo)
                                <p class="desc-sub tipo-{{$tipo->id}}" style="@if($i>0) display:none; @endif"><span class="dest">{{ $tipo->nombre}}</span> {{$tipo->descripcion}}<p>
                              @endforeach

                            </div>

                          </div>
                        </div>

                        {{-- TODO :: IF user cannot multiple mostraremos un RADIO si no mostraremos un CHECKBOX  --}}
                        {{-- RADIO BUTTONS --}}
                        <div class="container">
                          <div class="row justify-content-center">
                            <div class="col-12">
                              <p class="mb-4 pb-2">
                                <h6>Seleccione su {{ $instalacion->nombre_subdivisiones }} : </h6>
                              </p>
                              <br>
                            </div><br>
                            <div class="col-12">
                              {{-- Muestro los diferentes tipos de subdiviones activas que hay --}}
                              @foreach($tipos as $i => $tipo)
                                <div class="div-sub tipo-{{$tipo->id}}" style="@if($i>0) display:none; @endif">
                                  @foreach($subdivisiones as $ii => $sub)
                                    @if($tipo->id == $sub->id_tipo)
                                      <input class="checkbox-tools" type="radio" value="{{$sub->id}}" name="subdivision" nombre-subdivision="{{ $sub->descripcion }}" id="sub-{{$ii+1}}"  @if($sub->is_full_booked($turno)) disabled @endif>
                                      <label class="for-checkbox-tools @if($sub->is_full_booked($turno))full-booked @endif" for="sub-{{$ii+1}}" @if($sub->is_full_booked($turno))onclick="alreadyFullBooked()" @endif>
                                        {{-- <i class='uil uil-line-alt'></i> --}}
                                        {{ $sub->descripcion }} &nbsp; <i class="fas fa-users"></i>&nbsp;({{$sub->free_slots($turno).'/'.$sub->plazas_max }})
                                      </label>
                                    @endif
                                  @endforeach
                                </div>
                              @endforeach

                            </div>
                          </div>
                        </div>

                </div>
                @endif


                <div class="tab">

                  {{-- RADIO BUTTONS --}}
                  <div class="container">

                    <div class="row justify-content-center">

                      <div class="col-12">
                        <p class="mb-4 pb-2">
                          <h6>RESUMEN DE SU RESERVA : </h6>
                        </p>
                        <br>
                      </div><br>

                      <div class="col-12">
                        {{-- Muestro los diferentes datos que ya sabemos de la reserva --}}
                        {{-- TODO :: crear session con datos de la reserva al pulsar en primer paso. --}}
                        <div class="table">
                          <h2 class="heading">
                            {{ $instalacion->nombre }}
                          </h2>
                          {{-- BLOCK 1 --}}
                          <div class="block">
                            <p>Datos de fecha y hora:

                              <ul class="options">
                                <li><span class="detalle-left">Día: </span><span class="detalle-right">{{ $turno->get_fecha_of_larga() }}</span></li>
                                <li><span class="detalle-left">Hora: </span><span class="detalle-right">{{ $turno->get_hora_comienzo() }} - {{ $turno->get_hora_termino() }}</span></li>
                              </ul>
                            </p>
                          </div>

                          {{-- BLOCK 2 --}}
                          <div class="block">
                            <p>Datos de la reserva:

                              <ul class="options">
                                <li><span class="detalle-left">Instalación: </span><span class="detalle-right">{{ $instalacion->nombre }}</span></li>
                                <li><span class="detalle-left">>> </span><span class="detalle-right">{{ $instalacion->descripcion_corta }}</span></li>
                                <li><span class="detalle-left">Tipo de {{$instalacion->nombre_subdivisiones}}: </span><span class="detalle-right tipo"></span></li>
                                <li><span class="detalle-left">{{$instalacion->nombre_subdivisiones}}: </span><span class="detalle-right subdivision"></span></li>
                              </ul>
                            </p>
                          </div>

                          {{-- BLOCK 3 --}}
                          <div class="block">
                            <p>Terminos y condiciones:

                              <ul class="options">
                                <li><span class="detalle-left">Normativa de instalación: </span><span class="detalle-right"><a href="#">ver</a></span></li>
                                <li><span class="detalle-left">Terminos y condiciones:</span><span class="detalle-right"> <a href="#">ver</a></span></li>
                                <li>
                                    <div class="page__toggle">
                                      <label class="toggle">
                                        <input name="aceptado" class="toggle__input" type="checkbox">
                                        <span class="toggle__label">
                                          <span class="toggle__text">  He leido y acepto la normativa y los terminos y condiciones.</span>
                                        </span>
                                      </label>
                                    </div>
                                </li>
                              </ul>
                            </p>
                          </div>

                          {{-- BLOCK 4 --}}
                          <div id="datos-reserva" class="block" style="display:none">
                            <p>Confirmación :

                              <ul class="options">
                                <li class="first"><span class="detalle-left">Estado de la reserva:</span></li>
                                <li class="answer"><span class="detalle-right">CONFIRMADA</span></li>
                                <li class="first"><span class="detalle-left">Referencia: </span></li>
                                <li class="answer"><span class="detalle-right referencia"></span></li>
                                <li class="first"><span class="detalle-left">Fecha ejecución: </span></li>
                                <li class="answer"><span class="detalle-right fecha"></span></li>
                                <li class="first"><span class="detalle-left">Fecha de reserva: </span></li>
                                <li class="answer"><span class="detalle-right fecha_res"></span></li>
                              </ul>
                            </p>
                          </div>





                        {{-- EJEMPLO DEFAULT BLOCK --}}
                        {{-- <div class="block">
                        <p>living room
                            <span class="price">$29/
                              <sub>hour</sub>
                            </span>
                            <ul class="options">
                              <li>make beds</li>
                              <li>dust furniture</li>
                              <li>dust mini-blinds</li>
                            </ul>
                         </p>
                        </div> --}}
                        {{-- EJEMPLO DEFAULT BUTTON --}}
                        {{-- <button class="btn">
                          <p>book your order now</p>
                          <span class="fa fa-cart-plus" aria-hidden="true"></span>
                        </button> --}}
                        </div>

                      </div>

                    </div>
                  </div>


                </div>

                  {{-- BOTONES NEXT-BACK --}}
                  <div style="overflow:auto;" id="nextprevious" class="pt-5">
                    <div style="float:right;">
                      <button type="button" id="prevBtn" onclick="nextPrev(-1)"><i class="fa fa-angle-double-left"></i></button>
                      <button type="button" id="nextBtn" onclick="nextPrev(1)"><i class="fa fa-angle-double-right"></i></button>
                    </div>
                  </div>

                </div>

            </form>
        </div>
    </div>
</div>
{{-- @php dump($turno->instalacion->has_subdivisiones()); @endphp --}}
{{-- @php dump($turno->instalacion->subdivisiones_def); @endphp --}}
</div>
