<table id="table-here" class="table table-hover no-footer table-fancy evenor" role="grid">

  <thead class="thead-dark">
    <tr role="row" class="">
        <th scope="col" style="width:3%">id</th>
        <th scope="col" style="width:15%" class="left">Nombre</th>
        <th scope="col" style="width:15%" class="left">Email</th>
        <th scope="col" style="width:15%" class="left">Teléfono</th>
        <th scope="col" style="width:3%">Estado</th>
        <th scope="col" style="width:auto" class="text-right no-click" >Acciones</th>
    </tr>
  </thead>

  <tbody>
    <?php if(count($usuarios) > 0): ?>
      <?php $__currentLoopData = $usuarios; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $usuario): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <tr class="div-reservas">
          <td scope="row" data-label="id">
            <span class="small-text"><?php echo e($usuario->id); ?> </span>
          </td>
          <td class="left" data-label="nombre">
            <span class="small-text"><?php echo e($usuario->name); ?> </span>
          </td>
          <td class="left" data-label="email">
            <span class="small-text"><?php echo e($usuario->email); ?> </span>
          </td>
          <td class="left" data-label="telefono">
            <span class="small-text"><?php echo e($usuario->telefono); ?> </span>
          </td>
          <td data-toggle="tooltip" data-placement="right" title="<?php echo e($usuario->get_estado()->nombre); ?> :: <?php echo e($usuario->status->descripcion); ?>" class="text-center" data-label="Estado" style="background-color:<?php echo e($usuario->get_estado()->bg_color); ?>; <?php if($usuario->id_status >3): ?>color:#FFF;<?php endif; ?>" >
            <span class="text-center text-white"><?php echo $usuario->status->icon; ?></span>
          </td>

          <td class="text-right" data-label="Acciones">
            <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Editar" onclick="openUsuarioEdit(<?php echo e($usuario->id); ?>)">
            <i class='bx bx-edit' ></i>
            </button>
            
            <?php if($usuario->get_estado()->nombre == 'activo'): ?>
              <button class="btn btn-warning btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Pausar Usuario" onclick="pausarUsuario(<?php echo e($usuario->id); ?>);">
                <i class='bx bx-stop'></i>
              </button>
              <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Bloquear Usuario" onclick="bloquearUsuario(<?php echo e($usuario->id); ?>);">
                <i class='bx bxs-lock'></i>
              </button>
            <?php elseif($usuario->get_estado()->nombre == 'pausado'): ?>
              <button class="btn btn-success btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Activar Usuario" onclick="desbloquearUsuario(<?php echo e($usuario->id); ?>);">
                <i class='bx bx-play'></i>
              </button>
              <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Bloquear Usuario" onclick="bloquearUsuario(<?php echo e($usuario->id); ?>);">
                <i class='bx bxs-lock'></i>
              </button>
            <?php elseif($usuario->get_estado()->nombre == 'bloqueado'): ?>
              <button class="btn btn-success btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Activar Usuario" onclick="desbloquearUsuario(<?php echo e($usuario->id); ?>);">
                <i class='bx bx-play'></i>
              </button>
              <button class="btn btn-warning btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Pausar Usuario" onclick="pausarUsuario(<?php echo e($usuario->id); ?>);">
                <i class='bx bx-stop'></i>
              </button>
            <?php else: ?>
            <?php endif; ?>
            
          </td>
        </tr>
      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php else: ?>
      <tr><td colspan="7">No hay reservas que mostrar bajo el criterio seleccionado</td></tr>
    <?php endif; ?>
  </tbody>
</table>

<script>
  let inputStyle = 'color:#eee;font-size:0.8rem;padding:4px;border:1px solid #efefef;'
  window.onload = function() {
    $(".table-fancy").fancyTable({
        // sortColumn: 2,
        globalSearch: true,
        perPage: 20,
        pagination: true,
        paginationClass : 'btn btn-secundary',
        pagClosest: 5,
        globalSearchExcludeColumns: [5,6],
        paginationClassActive : 'btn btn-primary',
        inputPlaceholder: 'Buscar',
        inputStyle: inputStyle,
        onUpdate: function() {
        }
    });
    $('[data-toggle=tooltip]').tooltip();
  };
</script><?php /**PATH C:\wamp64\www\proyectos\new-default\httpdocs\resources\views/admin/components-views/tables/usuarios-table.blade.php ENDPATH**/ ?>