<?php
  // MAIN URLS
  $items_url = env('ADMIN_COMPONENTS_MENU');
  $tables_url = env('ADMIN_COMPONENTS_TABLES');
?>

<?php $__env->startSection('section'); ?>

  <div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-8 same-height-col">
          <h1><?php echo e($titulo); ?></h1>
          <div class="subtitle">
            <p><?php echo e($subtitulo); ?></p>
          </div>
        </div>
        <div class="col-12 col-md-4 same-height-col text-right text-left-mobile">
          <?php echo $__env->make("{$items_url}.menu-actions", [
            'section' => 'categorias-asociados'
          ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php if (isset($component)) { $__componentOriginal4934200719c91a970b10bbb32041673279a7753c = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\GoBack::class, []); ?>
<?php $component->withName('go-back'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal4934200719c91a970b10bbb32041673279a7753c)): ?>
<?php $component = $__componentOriginal4934200719c91a970b10bbb32041673279a7753c; ?>
<?php unset($__componentOriginal4934200719c91a970b10bbb32041673279a7753c); ?>
<?php endif; ?>
        </div>
      </div>
    </div>

    
    
    

    <div class="col-md-12 section-instalacion instalacion-divisiones">

      <div class="card">
        <div class="card-header">
          <span class="titulo">LISTADO</span>
        </div>

        <div class="card-body coll-able pest-2">
          <table id="table-here" class="table table-hover no-footer table-here with-img" role="grid">

              <thead class="thead-dark">
                <tr role="row" class="">
                    <th scope="col" style="width:5%">id</th>
                    <th scope="col" style="width:5%" class="left">imágen</th>
                    <th scope="col" style="width:20%" class="left">nombre</th>
                    
                    <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
                </tr>
              </thead>

            <tbody>

              <?php if(count($categorias) > 0): ?>
                <?php $__currentLoopData = $categorias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $div): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <tr class="div-def">
                    <td scope="row" data-label="id"><?php echo e($div->id); ?></td>
                    <td class="left" data-label="imagen">
                      <img src="<?php echo e($div->get_imagen_admin()); ?>" height="40" />
                    </td>
                    <td class="left" data-label="nombre">
                      <span><?php echo e($div->nombre); ?></span>
                    </td>
                    
                    <td class="text-right" data-label="Acciones">
                      <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Editar"
                      onclick="editarCatInstalaciones(<?php echo e($div->id); ?>)">
                        <i class='bx bxs-edit' ></i>
                      </button>
                      <?php if($div->activo): ?>
                        <button class="btn btn-warning btn-actions" data-toggle="tooltip" data-placement="top" title="Desactivar"
                        onclick="cambiarEstadoCatInstalacion(<?php echo e($div->id); ?>)">
                          <i class='bx bx-stop' ></i>
                        </button>
                      <?php else: ?>
                        <button class="btn btn-success btn-actions" data-toggle="tooltip" data-placement="top" title="Activar"
                        onclick="cambiarEstadoCatInstalacion(<?php echo e($div->id); ?>)">
                          <i class='bx bx-play' ></i>
                        </button>
                      <?php endif; ?>
                      <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema"
                      onclick="eliminarCatInstalaciones(<?php echo e($div->id); ?>);">
                        <i class='bx bxs-trash'></i>
                      </button>
                    </td>
                  </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              <?php endif; ?>

            </tbody>

          </table>


        </div>

        <div class="card-footer">

        </div>
      </div>



    </div>




</div>
<?php $__env->stopSection(); ?>

<script src="/js/admin/helper.js"></script>
<script src="/js/admin/asociado.js"></script>


<script>

window.onload = function() {
  $('[data-toggle=tooltip]').tooltip();

};

</script>

<?php echo $__env->make('dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\proyectos\new-default\httpdocs\resources\views/admin/sections/categorias-asociados.blade.php ENDPATH**/ ?>