<table id="table-here" class="table table-hover no-footer table-fancy evenor" role="grid">

  <thead class="thead-dark">
    <tr role="row" class="">
        <th scope="col" style="width:3%">id</th>
        <th scope="col" style="width:7%" class="left">Logo</th>
        <th scope="col" style="width:25%" class="left">Nombre</th>
        <th scope="col" style="width:15%" class="left">Email</th>
        <th scope="col" style="width:15%" class="left">Teléfono</th>
        <th scope="col" style="width:10%">Estado</th>
        <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
    </tr>
  </thead>

<tbody>
  <?php if(count($asociados) > 0): ?>
    <?php $__currentLoopData = $asociados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $asociado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
      <tr class="div-reservas">
        <td scope="row" data-label="id">
          <span class="small-text"><?php echo e($asociado->id); ?> </span>
        </td>
        <td class="left" data-label="logo">
          <div class="td-div-img">
            <img src="<?php echo e($asociado->get_imagen_admin()); ?>" alt="<?php echo e($asociado->nombre); ?>" class="table-logo">
          </div>
        </td>
        <td class="left" data-label="nombre">
          <span class="small-text"><strong><?php echo e($asociado->nombre); ?></strong></span>
        </td>
        <td class="left" data-label="email">
          <span class="small-text"><?php echo e($asociado->email); ?> </span>
        </td>
        <td class="left" data-label="telefono">
          <span class="small-text"><?php echo e($asociado->telefono); ?> </span>
        </td>
        <td data-toggle="tooltip" data-placement="right" title="<?php echo e($asociado->get_estado()->nombre); ?>" class="text-center" data-label="Estado" style="background-color:<?php echo e($asociado->get_estado()->bg_color); ?>; <?php if($asociado->id_status >3): ?>color:#FFF;<?php endif; ?>" >
          <span class="text-center text-white"><?php echo e($asociado->get_estado()->nombre); ?></span>
        </td>

        <td class="text-right" data-label="Acciones">
          <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Editar" onclick="openAsociadoEdit(<?php echo e($asociado->id); ?>)">
          <i class='bx bx-edit' ></i>
          </button>
          
          <?php if($asociado->get_estado()->nombre == 'Activo'): ?>
            <button class="btn btn-warning btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Pausar Asociado" onclick="pausarAsociado(<?php echo e($asociado->id); ?>);">
              <i class='bx bx-stop'></i>
            </button>
          <?php elseif($asociado->get_estado()->nombre == 'Inactivo'): ?>
            <button class="btn btn-success btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Activar Asociado" onclick="desbloquearAsociado(<?php echo e($asociado->id); ?>);">
              <i class='bx bx-play'></i>
            </button>
          <?php elseif($asociado->get_estado()->nombre == 'bloqueado'): ?>
            <button class="btn btn-success btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Activar Asociado" onclick="desbloquearAsociado(<?php echo e($asociado->id); ?>);">
              <i class='bx bx-play'></i>
            </button>
            <button class="btn btn-warning btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Pausar Asociado" onclick="pausarAsociado(<?php echo e($asociado->id); ?>);">
              <i class='bx bx-stop'></i>
            </button>
          <?php else: ?>

          <?php endif; ?>
          <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema" onclick="eliminarAsociado(<?php echo e($asociado->id); ?>, this);" data-name="<?php echo e($asociado->id); ?>">
            <i class='bx bxs-trash'></i>
          </button>
        </td>
      </tr>
      <tr><?php echo e($asociado->categoria_ppal()->nombre ?? ''); ?></tr>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

  <?php else: ?>
    <tr><td colspan="7">No hay reservas que mostrar bajo el criterio seleccionado</td></tr>
  <?php endif; ?>

</tbody>

</table>

<script>
  let inputStyle = 'color:#eee;font-size:0.8rem;padding:4px;border:1px solid #efefef;'
  window.onload = function() {
    $(".table-fancy").fancyTable({
        // sortColumn: 2,
        globalSearch: true,
        perPage: 20,
        pagination: true,
        paginationClass : 'btn btn-secundary',
        pagClosest: 5,
        globalSearchExcludeColumns: [6,7],
        paginationClassActive : 'btn btn-primary',
        inputPlaceholder: 'Buscar',
        inputStyle: inputStyle,
        onUpdate: function() {
        }
    });
    $('[data-toggle=tooltip]').tooltip();
  };
</script><?php /**PATH C:\wamp64\www\proyectos\new-default\httpdocs\resources\views/admin/components-views/tables/asociados-table.blade.php ENDPATH**/ ?>